clear all
capture clear
capture log close
capture program drop _all
set maxvar 100000
set max_memory 120g
cd "O:\mentalhealth\data\"
set more off


*-------------------------------------------------------------------------
//merge parents, uncles/aunts, cousins of parents, spouses' health
*-------------------------------------------------------------------------
local kin "close" 

use lopenr using sample_new2, clear
duplicates drop
merge 1:1 lopenr using "working_sample_children", keep(3) nogen
compress
keep lopenr mor_lnr far_lnr mormor_lnr morfar_lnr farmor_lnr farfar_lnr mormormor_lnr mormorfar_lnr morfarmor_lnr morfarfar_lnr farmormor_lnr farmorfar_lnr farfarmor_lnr farfarfar_lnr mor_sib*_lnr far_sib*_lnr mor_sib*_lnr_spouse far_sib*_lnr_spouse 
save "sample_with_dyn_ids`kin'", replace

ds mor_lnr far_lnr mor_sib*_lnr far_sib*_lnr mor_sib*_lnr_spouse far_sib*_lnr_spouse 

foreach id in `r(varlist)' {
	use `id' using "sample_with_dyn_ids`kin'", clear
	drop if missing(`id')
	rename `id' lopenr
	duplicates drop
	
	merge 1:1 lopenr using sl25_30, keep(1 3) nogen 
	merge m:1 lopenr using edu_max, keep(1 3) nogen
	
	rename temp `id'_edu
	rename lopenr `id'
	
	foreach i of numlist 25 {
		local j =  `i' + 5
		rename d_slP_`i'`j' 	 `id'MH_e`i'`j'
		rename slP_`i'`j'    	 `id'MH_i`i'`j'
		rename do_sl_`i'`j'		 `id'OH_e`i'`j'
		rename o_sl_`i'`j' 		 `id'OH_i`i'`j'
		rename days_sl_`i'`j' 	 `id'SL_i`i'`j'
		rename d_sl_`i'`j' 		 `id'SL_e`i'`j' 	
	
		foreach var in mus muf muo can chr car dep anx sub adh eat op ps pd {
			rename days_`var'_`i'`j' `id'`var'i`i'`j'
			ge `id'`var'e`i'`j' = `id'`var'i`i'`j' > 0 if `id'`var'i`i'`j'!=.
		}
	}	
		
	keep `id' `id'MH_e* `id'MH_i* `id'OH_e* `id'OH_i* `id'SL_i* `id'SL_e* `id'mus* `id'muf* `id'muo* `id'can* `id'chr* `id'car* `id'dep* `id'anx* `id'sub* `id'adh* `id'eat* `id'op* `id'ps* `id'pd* `id'_edu 
	merge 1:m `id' using "sample_with_dyn_ids`kin'", keep(2 3) nogen
	qui compress
	save "sample_with_dyn_ids`kin'", replace
	
}

