clear all
capture clear
capture log close
capture program drop _all
cd "O:\mentalhealth\data\"
set more off
set maxvar 12000

global results "O:\mentalhealth\tables_rep\"

log using "O:\mentalhealth\tables_rep\table12a.log", tex replace

use sample_final_x5, clear
local i= 13
local j= 18
local k = 25
local v = `k'+5
*-------------------------------------------------------------------------
** additional variables, controls to be used
*-------------------------------------------------------------------------
egen middleschool_d_yob = group(middleschool yob)

global basic "male i.yob i.year i.mor_nsibs i.far_nsibs i.mor_nb_sp i.far_nb_sp i.mor_ncous i.mor_ncousp i.far_ncous i.far_ncousp dmormor_lnr_m dmorfar_lnr_m dfarmor_lnr_m dfarfar_lnr_m dmormormor_lnr_m dmormorfar_lnr_m dmorfarmor_lnr_m dmorfarfar_lnr_m dfarmormor_lnr_m dfarmorfar_lnr_m dfarfarmor_lnr_m dfarfarfar_lnr_m i.mor_sib_sp_sib  i.far_sib_sp_sib"
global addcontrol "vekt i.paritet_5 i.bu_1m i.bu_1f i.age_mbirth i.age_fbirth"

global e_parents			"mor_lnrMH_e`k'`v'  far_lnrMH_e`k'`v' mor_lnrOH_e`k'`v'  far_lnrOH_e`k'`v'" 
global parents_sibs 		"MHmor_sibs_e`k'`v'  MHfar_sibs_e`k'`v'  OHmor_sibs_e`k'`v'  OHfar_sibs_e`k'`v' "
global parents_sibspouse 	"MHmor_sibsp_e`k'`v' MHfar_sibsp_e`k'`v' OHmor_sibsp_e`k'`v' OHfar_sibsp_e`k'`v' "
global cousins 				"MHmor_cous_e`k'`v'  MHfar_cous_e`k'`v'  OHmor_cous_e`k'`v'  OHfar_cous_e`k'`v'"
global cousins_sp 			"MHmor_cousp_e`k'`v' MHfar_cousp_e`k'`v' OHmor_cousp_e`k'`v' OHfar_cousp_e`k'`v'"
global sib_sp_sib			"MHmor_sib_sp_sib_e`k'`v' MHfar_sib_sp_sib_e`k'`v' OHmor_sib_sp_sib_e`k'`v' OHfar_sib_sp_sib_e`k'`v'"

global e_parents2			"mor_lnrMH_e`k'`v'  far_lnrMH_e`k'`v' mor_lnrOH_e`k'`v'  far_lnrOH_e`k'`v' mor_far_MH mor_far_OH" 
global parents_sibs2 		"MHmor_sibs_e`k'`v'  MHfar_sibs_e`k'`v'  OHmor_sibs_e`k'`v'  OHfar_sibs_e`k'`v' sibs_MH  sibs_OH"
global parents_sibspouse2 	"MHmor_sibsp_e`k'`v' MHfar_sibsp_e`k'`v' OHmor_sibsp_e`k'`v' OHfar_sibsp_e`k'`v' sibsp_MH  sibsp_OH"
global cousins2 			"MHmor_cous_e`k'`v'  MHfar_cous_e`k'`v'  OHmor_cous_e`k'`v'  OHfar_cous_e`k'`v' cous_MH  cous_OH"
global cousins_sp2 			"MHmor_cousp_e`k'`v' MHfar_cousp_e`k'`v' OHmor_cousp_e`k'`v' OHfar_cousp_e`k'`v' cousp_MH  cousp_OH"
global sib_sp_sib2			"MHmor_sib_sp_sib_e`k'`v' MHfar_sib_sp_sib_e`k'`v' OHmor_sib_sp_sib_e`k'`v' OHfar_sib_sp_sib_e`k'`v' sibspsib_MH sibspsib_OH"


global dropvars 			"male *yob* *year* *mor_nsibs* *far_nsibs* *r_nb_sp* *r_ncous* *r_ncousp* dmormor_lnr_m dmorfar_lnr_m dfarmor_lnr_m dfarfar_lnr_m dmormormor_lnr_m dmormorfar_lnr_m dmorfarmor_lnr_m dmorfarfar_lnr_m dfarmormor_lnr_m dfarmorfar_lnr_m dfarfarmor_lnr_m dfarfarfar_lnr_m *mor_sib_sp_sib *far_sib_sp_sib"




egen par_eduy = rmean(m_eduy f_eduy)
egen sib_edy = rmean(mor_sib_edy far_sib_edy)
egen sibsp_edy = rmean(mor_sibsp_edy far_sibsp_edy)
egen cous_edy = rmean(mor_cous_edy far_cous_edy)
egen cousp_edy = rmean(mor_cousp_edy far_cousp_edy)
egen sib_sp_sib_edy = rmean(mor_sib_sp_sib_ed far_sib_sp_sib_ed)


egen mu_mor = rmax(mor_lnrmuse2530 mor_lnrmufe2530 mor_lnrmuoe2530)
egen mu_far = rmax(far_lnrmuse2530 far_lnrmufe2530 far_lnrmuoe2530)
replace paritet_5 = paritet_5+1

ge d_grandpar = mormor_lnr != "" | morfar_lnr != "" |  farmor_lnr != "" | farfar_lnr != "" 	
ge d_greatgpar = mormormor_lnr != "" | mormorfar_lnr != "" | morfarmor_lnr != "" | morfarfar_lnr != "" | farmormor_lnr != "" | farmorfar_lnr != "" | farfarmor_lnr != "" | farfarfar_lnr != ""  
ge anysib_cous = (mor_nsibs >0 | far_nsibs >0) & (mor_ncous >0 | far_ncous >0)
ge any_sp = (mor_nb_sp >0 | far_nb_sp>0) & (mor_ncousp > 0 | far_ncousp > 0) & (mor_sib_sp_sib > 0 | far_sib_sp_sib>0)






*-------------------------------------------------------------------------
** impose sample restrictions
*-------------------------------------------------------------------------
count
* 730,478
* must be in sample
keep if sample_`k'_`v' == 1

count
*568,253
* must have grandparents & great-grandparents (as Adermon et al)
keep if d_grandpar == 1
count
*568,244
keep if d_greatgpar == 1
count
*503,883

* must have at least one observation of parents health at 25-30 (missing if parents have not worked; as Adermon et al)
keep if MH_i`k'`v'!=.
count
* 498,976

* must have a relative in each generation (siblings, cousins, spouses... as Adermon et al)
foreach var in mormor_lnr morfar_lnr farmor_lnr farfar_lnr mormormor_lnr mormorfar_lnr morfarmor_lnr morfarfar_lnr farmormor_lnr farmorfar_lnr farfarmor_lnr farfarfar_lnr {
	ge d`var'_m = `var' !=""
} 
keep if anysib_cous == 1
count
*447,141
keep if any_sp == 1
count
* 370,498

*-------------------------------------------------------------------------
** correlations
*-------------------------------------------------------------------------
keep if lopenr_mor!="" & lopenr_far !="" 

sort lopenr_mor lopenr_far fdato male
egen twin_id = group(lopenr_mor lopenr_far fdato male) 
bys lopenr_mor lopenr_far male fdato: ge twin = _N 
sort lopenr_mor lopenr_far fdato 
egen twin_id2 = group(lopenr_mor lopenr_far fdato) 
bys lopenr_mor lopenr_far fdato: ge twin2 = _N 
sort lopenr_mor lopenr_far
egen fullsib_id = group(lopenr_mor lopenr_far) 
bys fullsib_id: ge fullsib = _N 

foreach var in sdiag_P snon_psy  {
	egen `var'_sd = std(`var')
}

keep lopenr*  mormor_lnr male fdato sdiag_P_sd snon_psy_sd  twin_id* fullsib_id twin twin2 

foreach var in sdiag_P_sd snon_psy_sd {
	* twins 
	preserve
	keep if twin == 2
	bys lopenr_mor lopenr_far male fdato (lopenr): ge d = _n
	keep `var' d twin_id
	reshape wide `var', j(d) i(twin_id)
	eststo `var'1: reg `var'1 `var'2, noconstant 
	restore
	
	* twins (dif gender)
	preserve
	keep if twin2 == 2 
	bys lopenr_mor lopenr_far fdato (lopenr): ge d = _n
	keep `var' d twin_id2
	reshape wide `var', j(d) i(twin_id2)
	eststo `var'1b: reg `var'1 `var'2, noconstant 
	restore

	* fullsib
	preserve
	keep if fullsib > 1
	keep if twin == 1
	bys lopenr_mor lopenr_far (fdato lopenr): ge d = _n
	keep `var' d fullsib_id
	reshape wide `var', j(d) i(fullsib_id)
	eststo `var'2: reg `var'1 `var'2, noconstant 
	restore

	*cousins
	local rel "mormor_lnr"
	preserve 
	keep if  `rel' !=""
	bys `rel': ge n = _N
	keep if n > 1
	keep if twin == 1
	bys `rel' (fdato lopenr): ge d = _n
	keep `rel' `var' d
	reshape wide `var', j(d) i(`rel')
	eststo `var'3: reg `var'1 `var'2, noconstant 
	restore
	
}

	
esttab sdiag_P_sd1  sdiag_P_sd1b sdiag_P_sd2 sdiag_P_sd3 using "$results/table12a.tex", replace booktabs fragment not unstack b(3) se(3) star(* 0.1 ** 0.05 *** 0.01)  label
esttab snon_psy_sd1 snon_psy_sd1b snon_psy_sd2 snon_psy_sd3 using "$results/table12a.tex", append booktabs fragment not unstack b(3) se(3) star(* 0.1 ** 0.05 *** 0.01)  label

 