clear all
capture clear
capture log close
capture program drop _all
cd "O:\mentalhealth\data\"
set more off

foreach num of numlist 2006/2020 {
	use if age <= 25 using "kurhgp_new_`num'.dta", clear
	drop if lopenr == ""
	ge gp = TypePraksis == "Fastlege"  | TypePraksis == "Fastlønnet" 
	keep if gp==1
	drop gp

	keep docid lopenr year age
	ge nvisits = 1
	collapse age (sum) nvisits, by(lopenr year docid)
	bys lopenr: egen max = max(nvisits)
	keep if max == nvisits
	drop max
	duplicates drop
	save kurhdoc`num', replace
}

use "kurhdoc2006.dta", clear
for num 2007/2020: append using "kurhdocX.dta"
duplicates tag lopenr year, generate(dup)
keep if dup==0
drop dup
save "kurhdoc.dta", replace
for num 2006/2020: erase "kurhdocX.dta"