clear all
capture clear
capture log close
capture program drop _all
cd "O:\mentalhealth\data\"
set more off
set maxvar 12000

global results "O:\mentalhealth\tables_rep\"

log using "O:\mentalhealth\tables_rep\interg_reg.log", tex replace

use sample_final_x6, clear
local i= 13
local j= 18
local k = 25
local v = `k'+5

*-------------------------------------------------------------------------
** additional variables, controls to be used
*-------------------------------------------------------------------------
egen parental_y = rmean(inc_mor inc_far)
ge parental_y2 =parental_y^2
egen middleschool_d_yob = group(middleschool yob)

global basic "male i.yob i.year i.mor_nsibs i.far_nsibs i.mor_nb_sp i.far_nb_sp i.mor_ncous i.mor_ncousp i.far_ncous i.far_ncousp dmormor_lnr_m dmorfar_lnr_m dfarmor_lnr_m dfarfar_lnr_m dmormormor_lnr_m dmormorfar_lnr_m dmorfarmor_lnr_m dmorfarfar_lnr_m dfarmormor_lnr_m dfarmorfar_lnr_m dfarfarmor_lnr_m dfarfarfar_lnr_m i.mor_sib_sp_sib  i.far_sib_sp_sib"
global sel "i.bu_1m i.bu_1f foreign_mor foreign_far parental_y parental_y2"
global indiv "vekt i.paritet_5 i.age_mbirth i.age_fbirth"

global e_parents			"mor_lnrMH_e`k'`v'  far_lnrMH_e`k'`v'" 
global parents_sibs 		"MHmor_sibs_e`k'`v'  MHfar_sibs_e`k'`v'"
global parents_sibspouse 	"MHmor_sibsp_e`k'`v' MHfar_sibsp_e`k'`v'"
global cousins 				"MHmor_cous_e`k'`v'  MHfar_cous_e`k'`v'"
global cousins_sp 			"MHmor_cousp_e`k'`v' MHfar_cousp_e`k'`v'"
global sib_sp_sib			"MHmor_sib_sp_sib_e`k'`v' MHfar_sib_sp_sib_e`k'`v'"

global dropvars 			"male *yob* *year* *mor_nsibs* *far_nsibs* *r_nb_sp* *r_ncous* *r_ncousp* dmormor_lnr_m dmorfar_lnr_m dfarmor_lnr_m dfarfar_lnr_m dmormormor_lnr_m dmormorfar_lnr_m dmorfarmor_lnr_m dmorfarfar_lnr_m dfarmormor_lnr_m dfarmorfar_lnr_m dfarfarmor_lnr_m dfarfarfar_lnr_m *mor_sib_sp_sib *far_sib_sp_sib"


* if no siblings, siblings' spouse, cousins, cousins' spouse then health measures are 0
foreach type in mor far {
	foreach sick in MH OH {
		replace `sick'`type'_sibs_e`k'`v' = 0 if `type'_nsibs == 0 & `sick'`type'_sibs_e`k'`v' == .
		replace `sick'`type'_sibs_i`k'`v' = 0 if `type'_nsibs == 0 & `sick'`type'_sibs_i`k'`v' == .
		
		replace `sick'`type'_sibsp_e`k'`v' = 0 if `type'_nb_sp == 0 & `sick'`type'_sibsp_e`k'`v' == .
		replace `sick'`type'_sibsp_i`k'`v' = 0 if `type'_nb_sp == 0 & `sick'`type'_sibsp_i`k'`v' == .
		
		replace `sick'`type'_cous_e`k'`v' = 0 if `type'_ncous == 0 & `sick'`type'_cous_e`k'`v' == .
		replace `sick'`type'_cous_i`k'`v' = 0 if `type'_ncous == 0 & `sick'`type'_cous_i`k'`v' == .
		
		replace `sick'`type'_cousp_e`k'`v' = 0 if `type'_ncousp == 0 & `sick'`type'_cousp_e`k'`v' == .
		replace `sick'`type'_cousp_i`k'`v' = 0 if `type'_ncousp == 0 & `sick'`type'_cousp_i`k'`v' == .
		
		replace `sick'`type'_sib_sp_sib_e`k'`v' = 0 if `type'_nsibs == 0 & `sick'`type'_sib_sp_sib_e`k'`v' == .
		replace `sick'`type'_sib_sp_sib_i`k'`v' = 0 if `type'_nsibs == 0 & `sick'`type'_sib_sp_sib_i`k'`v' == .

	}
}


foreach sick in MH OH {
	replace `sick'_sibs_e`k'`v' = 0 if mor_nsibs == 0 & far_nsibs == 0 & `sick'_sibs_e`k'`v' == .
	replace `sick'_sibs_i`k'`v' = 0 if mor_nsibs == 0 & far_nsibs == 0 & `sick'_sibs_i`k'`v' == .
	for var `sick'_sibs_e`k'`v' `sick'_sibs_i`k'`v': replace X = 0 if X ==. & (mor_nsibs >0 | far_nsibs >0)
	
	replace `sick'_sibsp_e`k'`v' = 0 if mor_nsibs == 0 & far_nsibs == 0 & `sick'_sibsp_e`k'`v' == .
	replace `sick'_sibsp_i`k'`v' = 0 if mor_nsibs == 0 & far_nsibs == 0 & `sick'_sibsp_i`k'`v' == .
	for var `sick'_sibsp_e`k'`v' `sick'_sibsp_i`k'`v': replace X = 0 if X ==. & (mor_nb_sp >0 | far_nb_sp >0)  
			
	replace `sick'_cous_e`k'`v' = 0 if mor_ncous == 0 & far_ncous == 0 & `sick'_cous_e`k'`v' == .
	replace `sick'_cous_i`k'`v' = 0 if mor_ncous == 0 & far_ncous == 0 & `sick'_cous_i`k'`v' == .
	for var `sick'_cous_e`k'`v' `sick'_cous_i`k'`v': replace X = 0 if X ==. & (mor_ncous >0 | far_ncous >0) 
	
	replace `sick'_cousp_e`k'`v' = 0 if mor_ncous == 0 & far_ncous == 0 & `sick'_cousp_e`k'`v' == .
	replace `sick'_cousp_i`k'`v' = 0 if mor_ncous == 0 & far_ncous == 0 & `sick'_cousp_i`k'`v' == .
	for var `sick'_cousp_e`k'`v' `sick'_cousp_i`k'`v': replace X = 0 if X ==. & (mor_ncousp >0 | far_ncousp >0) 
	
	replace `sick'_sib_sp_sib_e`k'`v' = 0 if mor_nsib == 0 & far_nsibs == 0 & `sick'_sib_sp_sib_e`k'`v' == .
	replace `sick'_sib_sp_sib_i`k'`v' = 0 if mor_nsib == 0 & far_nsibs == 0 & `sick'_sib_sp_sib_i`k'`v' == .
	for var `sick'_sib_sp_sib_e`k'`v' `sick'_sib_sp_sib_i`k'`v': replace X = 0 if X ==. & (mor_nb_sp >0 | far_nb_sp >0)  
}

egen par_eduy = rmean(m_eduy f_eduy)
egen sib_edy = rmean(mor_sib_edy far_sib_edy)
egen sibsp_edy = rmean(mor_sibsp_edy far_sibsp_edy)
egen cous_edy = rmean(mor_cous_edy far_cous_edy)
egen cousp_edy = rmean(mor_cousp_edy far_cousp_edy)
egen sib_sp_sib_edy = rmean(mor_sib_sp_sib_ed far_sib_sp_sib_ed)


egen mu_mor = rmax(mor_lnrmuse2530 mor_lnrmufe2530 mor_lnrmuoe2530)
egen mu_far = rmax(far_lnrmuse2530 far_lnrmufe2530 far_lnrmuoe2530)
replace paritet_5 = paritet_5+1

ge d_grandpar = mormor_lnr != "" | morfar_lnr != "" |  farmor_lnr != "" | farfar_lnr != "" 	
ge d_greatgpar = mormormor_lnr != "" | mormorfar_lnr != "" | morfarmor_lnr != "" | morfarfar_lnr != "" | farmormor_lnr != "" | farmorfar_lnr != "" | farfarmor_lnr != "" | farfarfar_lnr != ""  
ge anysib_cous = (mor_nsibs >0 | far_nsibs >0) & (mor_ncous >0 | far_ncous >0)
ge any_sp = (mor_nb_sp >0 | far_nb_sp>0) & (mor_ncousp > 0 | far_ncousp > 0) & (mor_sib_sp_sib > 0 | far_sib_sp_sib>0)

* link families if they share at least a great-grandparent
foreach var in mormormor_lnr mormorfar_lnr morfarmor_lnr  morfarfar_lnr  farmormor_lnr  farmorfar_lnr  farfarmor_lnr  farfarfar_lnr {
count if `var' != ""
}
egen famil_id = concat(mormormor_lnr mormorfar_lnr morfarmor_lnr  morfarfar_lnr  farmormor_lnr  farmorfar_lnr  farfarmor_lnr  farfarfar_lnr)
egen famil_id2 = concat(mormor_lnr morfar_lnr) 	//maternal gr
egen famil_id3 = concat(farmor_lnr farfar_lnr)	//father's gr


*-------------------------------------------------------------------------
** summarize
*-------------------------------------------------------------------------

global healthkids "stotal sgp ser ctotal cgp cer cdiag_P cnon_psy cdepression cother_psy cnpr csec_mental vekt"
global mom "mor_lnrSL_i2530 mor_lnrSL_e2530 mor_lnrMH_e2530 mu_mor mor_lnrdepe2530 mor_faar inc_mor"
global dad "far_lnrSL_i2530 far_lnrSL_e2530 far_lnrMH_e2530 mu_far far_lnrdepe2530 far_faar inc_far"
global other "age_c male GPAmid college_par"
eststo s1: estpost tabstat $healthkids $other $mom $dad, s(mean sd) columns(statistics)  

global mh "MH_e`k'`v' MH_sibs_e`k'`v' MH_sibsp_e`k'`v' MH_cous_e`k'`v'  MH_cousp_e`k'`v' MH_sib_sp_sib_e`k'`v'"
global oh "OH_e`k'`v' OH_sibs_e`k'`v' OH_sibsp_e`k'`v' OH_cous_e`k'`v' OH_cousp_e`k'`v' OH_sib_sp_sib_e`k'`v'"
global edu "par_eduy sib_edy sibsp_edy cous_edy cousp_edy sib_sp_sib_edy"
global nb "mor_nsibs far_nsibs mor_nb_sp far_nb_sp mor_ncous mor_ncousp far_ncous far_ncousp mor_sib_sp_sib  far_sib_sp_sib d_grandpar d_greatgpar"
eststo s2: estpost tabstat $mh $oh $edu $nb, s(mean sd) columns(statistics)  

*-------------------------------------------------------------------------
** impose sample restrictions
*-------------------------------------------------------------------------
count
* 730,478
* must be in sample
keep if sample_`k'_`v' == 1

count
*568,253
* must have grandparents & great-grandparents (as Adermon et al)
keep if d_grandpar == 1
count
*568,244
keep if d_greatgpar == 1
count
*503,883

* must have at least one observation of parents health at 25-30 (missing if parents have not worked; as Adermon et al)
keep if MH_i`k'`v'!=.
count
* 498,976

* must have a relative in each generation (siblings, cousins, spouses... as Adermon et al)
foreach var in mormor_lnr morfar_lnr farmor_lnr farfar_lnr mormormor_lnr mormorfar_lnr morfarmor_lnr morfarfar_lnr farmormor_lnr farmorfar_lnr farfarmor_lnr farfarfar_lnr {
	ge d`var'_m = `var' !=""
} 
keep if anysib_cous == 1
count
*447,141
keep if any_sp == 1
count
* 370,498



*-------------------------------------------------------------------------
** summarize
*-------------------------------------------------------------------------
global healthkids "stotal sgp ser ctotal cgp cer cdiag_P cnon_psy cdepression cother_psy cnpr csec_mental vekt"
global mom "mor_lnrSL_i2530 mor_lnrSL_e2530 mor_lnrMH_e2530 mu_mor mor_lnrdepe2530 mor_faar inc_mor"
global dad "far_lnrSL_i2530 far_lnrSL_e2530 far_lnrMH_e2530 mu_far far_lnrdepe2530 far_faar inc_far"
global other "age_c male GPAmid college_par"
eststo s3: estpost tabstat $healthkids $other $mom $dad, s(mean sd) columns(statistics)

esttab s1 s3  using "$results\table2.tex", replace cells("mean(fmt(2)) sd(fmt(2))") noobs nomtitle varlabels (`e(labels)') varwidth(20)  label collabels("Mean" "SD" "Mean" "SD")


global mh "MH_e`k'`v' MH_sibs_e`k'`v' MH_sibsp_e`k'`v' MH_cous_e`k'`v'  MH_cousp_e`k'`v' MH_sib_sp_sib_e`k'`v'"
global oh "OH_e`k'`v' OH_sibs_e`k'`v' OH_sibsp_e`k'`v' OH_cous_e`k'`v' OH_cousp_e`k'`v' OH_sib_sp_sib_e`k'`v'"
global edu "par_eduy sib_edy sibsp_edy cous_edy cousp_edy sib_sp_sib_edy"
global nb "mor_nsibs far_nsibs mor_nb_sp far_nb_sp mor_ncous mor_ncousp far_ncous far_ncousp mor_sib_sp_sib  far_sib_sp_sib d_grandpar d_greatgpar"
eststo s4: estpost tabstat $mh $oh $edu $nb, s(mean sd) columns(statistics)  

esttab s2 s4  using "$results\table4a.tex", replace  cells("mean(fmt(2)) sd(fmt(2))") noobs nomtitle varlabels (`e(labels)') varwidth(20)  label collabels("Mean" "SD" "Mean" "SD")


*-------------------------------------------------------------------------
** basic corr
*-------------------------------------------------------------------------
egen GPAmidsd = std(GPAmid)
foreach var in par_eduy sib_edy sibsp_edy cous_edy cousp_edy  sib_sp_sib_edy {
	rename `var' aux
	egen `var' = std(aux)
	drop aux
}
lab var par_eduy 	"Parents"
lab var sib_edy  	"Parents' Siblings"
lab var sibsp_edy 	"Parents Siblings' Spouses"
lab var cous_edy	"Parents' Cousins"
lab var cousp_edy  	"Parents Cousins' Spouses"
lab var sib_sp_sib_edy "Siblings of spouses of parents' siblings"

local k = 25
local v = `k'+5
ge otherp = sub_e`k'`v' == 1 | adh_e`k'`v' == 1 |  eat_e`k'`v' == 1 |  op_e`k'`v'==1 if dep_e`k'`v' !=.
ge other = csubstance == 1 | cadhd == 1 | ceating  == 1 | cother_psy == 1 if cdepression !=. 

estpost correlate cdepression canxiety cother cdiag_L  dep_e`k'`v' anx_e`k'`v' otherp  mus_e`k'`v', matrix 
eststo c1
esttab c1 using "$results/table6a.tex", replace booktabs fragment not unstack noobs nonumber label nostar


*-------------------------------------------------------------------------
** correlations - parent gen
*-------------------------------------------------------------------------
local type "i"
foreach var in sdiag_P snon_psy MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v'  MH_cousp_`type'`k'`v' OH_`type'`k'`v' OH_sibs_`type'`k'`v' OH_sibsp_`type'`k'`v' OH_cous_`type'`k'`v' OH_cousp_`type'`k'`v' MH_sib_sp_sib_`type'`k'`v' OH_sib_sp_sib_`type'`k'`v'   {
	egen `var'_sd = std(`var')
}
lab var MH_`type'`k'`v'_sd 			"Parents MH" 
lab var MH_sibs_`type'`k'`v'_sd 	"Parents' Siblings MH"
lab var MH_sibsp_`type'`k'`v'_sd 	"Parents Siblings' Spouses MH"
lab var MH_cous_`type'`k'`v'_sd  	"Parents' Cousins MH"
lab var MH_cousp_`type'`k'`v'_sd 	"Parents Cousins' Spouses MH"


local k = 25
local v = `k'+5
estpost correlate MH_i`k'`v'_sd MH_sibs_i`k'`v'_sd MH_sibsp_i`k'`v'_sd MH_cous_i`k'`v'_sd MH_cousp_i`k'`v'_sd  MH_sib_sp_sib_i`k'`v'_sd, matrix 
eststo c1
esttab c1 using "$results/table5a.tex", replace booktabs fragment not unstack noobs nonumber label nostar


*-------------------------------------------------------------------------
** gpa
*-------------------------------------------------------------------------

foreach var in  GPAmidsd    {
	reg `var' par_eduy sib_edy sibsp_edy cous_edy cousp_edy sib_sp_sib_edy  $basic, robust
	ge sample = e(sample)
	
	eststo `var'1: reg `var' par_eduy $basic if sample==1, robust
	lincom  par_eduy 
	su `var' if e(sample), d
	estadd r(mean): `var'1
	est store `var'1

	eststo `var'2: reg `var' par_eduy sib_edy $basic if sample==1, robust
	lincom  par_eduy + sib_edy
	scalar bb = r(estimate)
	estadd scalar bb:  `var'2
	est store  `var'2
	scalar se = r(se)
	estadd scalar se:  `var'2
	est store  `var'2
		
	eststo `var'3: reg `var' par_eduy sib_edy sibsp_edy $basic if sample==1, robust
	lincom  par_eduy + sib_edy + sibsp_edy 
	scalar bb = r(estimate)
	estadd scalar bb:  `var'3
	est store  `var'3
	scalar se = r(se)
	estadd scalar se:  `var'3
	est store  `var'3
	
	eststo `var'4: reg `var' par_eduy sib_edy sibsp_edy cous_edy  $basic if sample==1, robust
	lincom  par_eduy + sib_edy + sibsp_edy + cous_edy 
	scalar bb = r(estimate)
	estadd scalar bb:  `var'4
	est store  `var'4
	scalar se = r(se)
	estadd scalar se:  `var'4
	est store  `var'4
	
	eststo `var'5: reg `var' par_eduy sib_edy sibsp_edy cous_edy cousp_edy $basic if sample==1, robust
	lincom  par_eduy + sib_edy + sibsp_edy + cous_edy + cousp_edy 
	scalar bb = r(estimate)
	estadd scalar bb:  `var'5
	est store  `var'5
	scalar se = r(se)
	estadd scalar se:  `var'5
	est store  `var'5
	
	eststo `var'6: reg `var' par_eduy sib_edy sibsp_edy cous_edy cousp_edy sib_sp_sib_edy  $basic, robust
	lincom  par_eduy + sib_edy + sibsp_edy + cous_edy + cousp_edy + sib_sp_sib_edy 
	scalar bb = r(estimate)
	estadd scalar bb:  `var'6
	est store  `var'6
	scalar se = r(se)
	estadd scalar se:  `var'6
	est store  `var'6
	
	eststo `var'7: reg `var' par_eduy sib_edy sibsp_edy cous_edy cousp_edy sib_sp_sib_edy MH_e`k'`v' MH_sibs_e`k'`v' MH_sibsp_e`k'`v' MH_cous_e`k'`v'  MH_cousp_e`k'`v' MH_sib_sp_sib_e`k'`v' $basic, robust
	lincom  par_eduy + sib_edy + sibsp_edy + cous_edy + cousp_edy + sib_sp_sib_edy 
	scalar bb = r(estimate)
	estadd scalar bb:  `var'7
	est store  `var'7
	scalar se = r(se)
	estadd scalar se:  `var'7
	est store  `var'7
	
	eststo `var'8: reg `var' par_eduy sib_edy sibsp_edy cous_edy cousp_edy sib_sp_sib_edy OH_e`k'`v' OH_sibs_e`k'`v' OH_sibsp_e`k'`v' OH_cous_e`k'`v' OH_cousp_e`k'`v' OH_sib_sp_sib_e`k'`v'  $basic, robust
	lincom  par_eduy + sib_edy + sibsp_edy + cous_edy + cousp_edy + sib_sp_sib_edy 
	scalar bb = r(estimate)
	estadd scalar bb:  `var'8
	est store  `var'8
	scalar se = r(se)
	estadd scalar se:  `var'8
	est store  `var'8
	
	eststo `var'9: reg `var' par_eduy sib_edy sibsp_edy cous_edy cousp_edy sib_sp_sib_edy MH_e`k'`v' MH_sibs_e`k'`v' MH_sibsp_e`k'`v' MH_cous_e`k'`v'  MH_cousp_e`k'`v' MH_sib_sp_sib_e`k'`v' OH_e`k'`v' OH_sibs_e`k'`v' OH_sibsp_e`k'`v' OH_cous_e`k'`v' OH_cousp_e`k'`v' OH_sib_sp_sib_e`k'`v'  $basic, robust
	lincom  par_eduy + sib_edy + sibsp_edy + cous_edy + cousp_edy + sib_sp_sib_edy 
	scalar bb = r(estimate)
	estadd scalar bb:  `var'9
	est store  `var'9
	scalar se = r(se)
	estadd scalar se:  `var'9
	est store  `var'9
}
#delimit ; 
	esttab  GPAmidsd1 GPAmidsd2 GPAmidsd3 GPAmidsd4 GPAmidsd5 GPAmidsd6  GPAmidsd7 GPAmidsd8 GPAmidsd9
 	using "$results/table6.tex", replace
	booktabs fragment 
    nolines noconstant
	drop($dropvars)
	b(3) se(3) star(* 0.1 ** 0.05 *** 0.01)
	stats(mean bb se N r2, fmt(%9.3g)) 
	label
	;
#delimit cr	
drop sample



*-------------------------------------------------------------------------
** basic: intensive and extensive
*-------------------------------------------------------------------------
foreach type in e {
    local cum "c" 
	foreach var in diag_P {
		eststo `var'_`type'1: reg `cum'`var' MH_`type'`k'`v' $basic, robust	
		su `cum'`var' if e(sample) & MH_`type'`k'`v'==0, d
		estadd r(mean): `var'_`type'1
		est store `var'_`type'1

		eststo `var'_`type'2: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' $basic, robust
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'2
		est store  `var'_`type'2
		scalar se = r(se)
		estadd scalar se:  `var'_`type'2
		est store  `var'_`type'2
			
		eststo `var'_`type'3: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' $basic, robust
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'3
		est store  `var'_`type'3
		scalar se = r(se)
		estadd scalar se:  `var'_`type'3
		est store  `var'_`type'3
		
		eststo `var'_`type'4: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v' $basic, robust
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' +  MH_sibsp_`type'`k'`v' + MH_cous_`type'`k'`v' 
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'4
		est store  `var'_`type'4
		scalar se = r(se)
		estadd scalar se:  `var'_`type'4
		est store  `var'_`type'4
		
		eststo `var'_`type'5: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v'  MH_cousp_`type'`k'`v' $basic, robust
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v'  + MH_cous_`type'`k'`v' + MH_cousp_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'5
		est store  `var'_`type'5
		scalar se = r(se)
		estadd scalar se:  `var'_`type'5
		est store  `var'_`type'5
		
		eststo `var'_`type'6: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v'  MH_cousp_`type'`k'`v' MH_sib_sp_sib_`type'`k'`v'  $basic, robust
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v'  + MH_cous_`type'`k'`v' + MH_cousp_`type'`k'`v' + MH_sib_sp_sib_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'6
		est store  `var'_`type'6
		scalar se = r(se)
		estadd scalar se:  `var'_`type'6
		est store  `var'_`type'6
		
		eststo `var'_`type'7: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v'  MH_cousp_`type'`k'`v' MH_sib_sp_sib_`type'`k'`v' OH_`type'`k'`v' OH_sibs_`type'`k'`v' OH_sibsp_`type'`k'`v' OH_cous_`type'`k'`v' OH_cousp_`type'`k'`v'  OH_sib_sp_sib_`type'`k'`v'  $basic, robust
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v'  + MH_cous_`type'`k'`v' + MH_cousp_`type'`k'`v' + MH_sib_sp_sib_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'7
		est store  `var'_`type'7
		scalar se = r(se)
		estadd scalar se:  `var'_`type'7
		est store  `var'_`type'7
	}
}


#delimit ; 
	esttab diag_P_e1 diag_P_e2 diag_P_e3 diag_P_e4 diag_P_e5 diag_P_e6 diag_P_e7 
	using "$results/table3.tex", replace
	booktabs fragment 
	nolines noconstant
	drop($dropvars)
	b(3) se(3) star(* 0.1 ** 0.05 *** 0.01)
	stats(mean bb se r2 N, fmt(%9.3g)) 
	label
	;
#delimit cr	

*-------------------------------------------------------------------------
** Table 2 clustered by family 
*-------------------------------------------------------------------------

foreach type in e {
    local cum "c" 
	foreach var in diag_P {
		eststo `var'_`type'1: reg `cum'`var' MH_`type'`k'`v' $basic, cluster(famil_id)
		su `cum'`var' if e(sample) & MH_`type'`k'`v'==0, d
		estadd r(mean): `var'_`type'1
		est store `var'_`type'1

		eststo `var'_`type'2: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' $basic, cluster(famil_id)
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'2
		est store  `var'_`type'2
		scalar se = r(se)
		estadd scalar se:  `var'_`type'2
		est store  `var'_`type'2
			
		eststo `var'_`type'3: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' $basic, cluster(famil_id)
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'3
		est store  `var'_`type'3
		scalar se = r(se)
		estadd scalar se:  `var'_`type'3
		est store  `var'_`type'3
		
		eststo `var'_`type'4: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v' $basic, cluster(famil_id)
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' +  MH_sibsp_`type'`k'`v' + MH_cous_`type'`k'`v' 
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'4
		est store  `var'_`type'4
		scalar se = r(se)
		estadd scalar se:  `var'_`type'4
		est store  `var'_`type'4
		
		eststo `var'_`type'5: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v'  MH_cousp_`type'`k'`v' $basic, cluster(famil_id)
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v'  + MH_cous_`type'`k'`v' + MH_cousp_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'5
		est store  `var'_`type'5
		scalar se = r(se)
		estadd scalar se:  `var'_`type'5
		est store  `var'_`type'5
		
		eststo `var'_`type'6: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v'  MH_cousp_`type'`k'`v' MH_sib_sp_sib_`type'`k'`v'  $basic, cluster(famil_id)
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v'  + MH_cous_`type'`k'`v' + MH_cousp_`type'`k'`v' + MH_sib_sp_sib_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'6
		est store  `var'_`type'6
		scalar se = r(se)
		estadd scalar se:  `var'_`type'6
		est store  `var'_`type'6
		
		eststo `var'_`type'7: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v'  MH_cousp_`type'`k'`v' MH_sib_sp_sib_`type'`k'`v' OH_`type'`k'`v' OH_sibs_`type'`k'`v' OH_sibsp_`type'`k'`v' OH_cous_`type'`k'`v' OH_cousp_`type'`k'`v'  OH_sib_sp_sib_`type'`k'`v'  $basic, cluster(famil_id)
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v'  + MH_cous_`type'`k'`v' + MH_cousp_`type'`k'`v' + MH_sib_sp_sib_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'7
		est store  `var'_`type'7
		scalar se = r(se)
		estadd scalar se:  `var'_`type'7
		est store  `var'_`type'7
	}
}


#delimit ; 
	esttab diag_P_e1 diag_P_e2 diag_P_e3 diag_P_e4 diag_P_e5 diag_P_e6 diag_P_e7 
	using "$results/table3_cluster.rtf", replace
	noconstant
	drop($dropvars)
	b(3) se(3) star(* 0.1 ** 0.05 *** 0.01)
	stats(mean bb se r2 N, fmt(%9.3g)) 
	label
	;
#delimit cr	


foreach type in e {
    local cum "c" 
	foreach var in diag_P {
		eststo `var'_`type'1: reg `cum'`var' MH_`type'`k'`v' $basic, cluster(famil_id2)
		su `cum'`var' if e(sample) & MH_`type'`k'`v'==0, d
		estadd r(mean): `var'_`type'1
		est store `var'_`type'1

		eststo `var'_`type'2: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' $basic, cluster(famil_id2)
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'2
		est store  `var'_`type'2
		scalar se = r(se)
		estadd scalar se:  `var'_`type'2
		est store  `var'_`type'2
			
		eststo `var'_`type'3: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' $basic, cluster(famil_id2)
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'3
		est store  `var'_`type'3
		scalar se = r(se)
		estadd scalar se:  `var'_`type'3
		est store  `var'_`type'3
		
		eststo `var'_`type'4: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v' $basic, cluster(famil_id2)
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' +  MH_sibsp_`type'`k'`v' + MH_cous_`type'`k'`v' 
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'4
		est store  `var'_`type'4
		scalar se = r(se)
		estadd scalar se:  `var'_`type'4
		est store  `var'_`type'4
		
		eststo `var'_`type'5: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v'  MH_cousp_`type'`k'`v' $basic, cluster(famil_id2)
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v'  + MH_cous_`type'`k'`v' + MH_cousp_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'5
		est store  `var'_`type'5
		scalar se = r(se)
		estadd scalar se:  `var'_`type'5
		est store  `var'_`type'5
		
		eststo `var'_`type'6: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v'  MH_cousp_`type'`k'`v' MH_sib_sp_sib_`type'`k'`v'  $basic, cluster(famil_id2)
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v'  + MH_cous_`type'`k'`v' + MH_cousp_`type'`k'`v' + MH_sib_sp_sib_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'6
		est store  `var'_`type'6
		scalar se = r(se)
		estadd scalar se:  `var'_`type'6
		est store  `var'_`type'6
		
		eststo `var'_`type'7: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v'  MH_cousp_`type'`k'`v' MH_sib_sp_sib_`type'`k'`v' OH_`type'`k'`v' OH_sibs_`type'`k'`v' OH_sibsp_`type'`k'`v' OH_cous_`type'`k'`v' OH_cousp_`type'`k'`v'  OH_sib_sp_sib_`type'`k'`v'  $basic, cluster(famil_id2)
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v'  + MH_cous_`type'`k'`v' + MH_cousp_`type'`k'`v' + MH_sib_sp_sib_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'7
		est store  `var'_`type'7
		scalar se = r(se)
		estadd scalar se:  `var'_`type'7
		est store  `var'_`type'7
	}
}


#delimit ; 
	esttab diag_P_e1 diag_P_e2 diag_P_e3 diag_P_e4 diag_P_e5 diag_P_e6 diag_P_e7 
	using "$results/table3_cluster2.rtf", replace
	noconstant
	drop($dropvars)
	b(3) se(3) star(* 0.1 ** 0.05 *** 0.01)
	stats(mean bb se r2 N, fmt(%9.3g)) 
	label
	;
#delimit cr	


foreach type in e {
    local cum "c" 
	foreach var in diag_P {
		eststo `var'_`type'1: reg `cum'`var' MH_`type'`k'`v' $basic, cluster(famil_id3)
		su `cum'`var' if e(sample) & MH_`type'`k'`v'==0, d
		estadd r(mean): `var'_`type'1
		est store `var'_`type'1

		eststo `var'_`type'2: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' $basic, cluster(famil_id3)
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'2
		est store  `var'_`type'2
		scalar se = r(se)
		estadd scalar se:  `var'_`type'2
		est store  `var'_`type'2
			
		eststo `var'_`type'3: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' $basic, cluster(famil_id3)
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'3
		est store  `var'_`type'3
		scalar se = r(se)
		estadd scalar se:  `var'_`type'3
		est store  `var'_`type'3
		
		eststo `var'_`type'4: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v' $basic, cluster(famil_id3)
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' +  MH_sibsp_`type'`k'`v' + MH_cous_`type'`k'`v' 
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'4
		est store  `var'_`type'4
		scalar se = r(se)
		estadd scalar se:  `var'_`type'4
		est store  `var'_`type'4
		
		eststo `var'_`type'5: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v'  MH_cousp_`type'`k'`v' $basic, cluster(famil_id3)
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v'  + MH_cous_`type'`k'`v' + MH_cousp_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'5
		est store  `var'_`type'5
		scalar se = r(se)
		estadd scalar se:  `var'_`type'5
		est store  `var'_`type'5
		
		eststo `var'_`type'6: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v'  MH_cousp_`type'`k'`v' MH_sib_sp_sib_`type'`k'`v'  $basic, cluster(famil_id3)
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v'  + MH_cous_`type'`k'`v' + MH_cousp_`type'`k'`v' + MH_sib_sp_sib_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'6
		est store  `var'_`type'6
		scalar se = r(se)
		estadd scalar se:  `var'_`type'6
		est store  `var'_`type'6
		
		eststo `var'_`type'7: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v'  MH_cousp_`type'`k'`v' MH_sib_sp_sib_`type'`k'`v' OH_`type'`k'`v' OH_sibs_`type'`k'`v' OH_sibsp_`type'`k'`v' OH_cous_`type'`k'`v' OH_cousp_`type'`k'`v'  OH_sib_sp_sib_`type'`k'`v'  $basic, cluster(famil_id3)
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v'  + MH_cous_`type'`k'`v' + MH_cousp_`type'`k'`v' + MH_sib_sp_sib_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'7
		est store  `var'_`type'7
		scalar se = r(se)
		estadd scalar se:  `var'_`type'7
		est store  `var'_`type'7
	}
}


#delimit ; 
	esttab diag_P_e1 diag_P_e2 diag_P_e3 diag_P_e4 diag_P_e5 diag_P_e6 diag_P_e7 
	using "$results/table3_cluster3.rtf", replace
	noconstant
	drop($dropvars)
	b(3) se(3) star(* 0.1 ** 0.05 *** 0.01)
	stats(mean bb se r2 N, fmt(%9.3g)) 
	label
	;
#delimit cr	



*-------------------------------------------------------------------------
** standardize intensive measures 
*-------------------------------------------------------------------------
foreach type in i {
    local cum "s"	
	foreach var in diag_P {
		
		eststo `var'_`type'8: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v'  MH_cousp_`type'`k'`v' MH_sib_sp_sib_`type'`k'`v'  $basic, robust
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v' + MH_sibsp_`type'`k'`v' + MH_cousp_`type'`k'`v' + MH_sib_sp_sib_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'8
		est store  `var'_`type'8
		scalar se = r(se)
		estadd scalar se:  `var'_`type'8
		est store  `var'_`type'8
	}
}

local type "i"

foreach var in sdiag_P snon_psy MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v'  MH_cousp_`type'`k'`v' OH_`type'`k'`v' OH_sibs_`type'`k'`v' OH_sibsp_`type'`k'`v' OH_cous_`type'`k'`v' OH_cousp_`type'`k'`v' MH_sib_sp_sib_`type'`k'`v' OH_sib_sp_sib_`type'`k'`v'   {
	rename `var' aux
	egen `var' = std(aux)
	drop aux
}
lab var par_eduy 	"Parents"
lab var sib_edy  	"Parents' Siblings"
lab var sibsp_edy 	"Parents Siblings' Spouses"
lab var cous_edy	"Parents' Cousins"
lab var cousp_edy  	"Parents Cousins' Spouses"
lab var sib_sp_sib_edy "Siblings of spouses of parents' siblings"

lab var MH_`type'`k'`v' 		"Parents MH" 
lab var MH_sibs_`type'`k'`v' 	"Parents' Siblings MH"
lab var MH_sibsp_`type'`k'`v' 	"Parents Siblings' Spouses MH"
lab var MH_cous_`type'`k'`v'  	"Parents' Cousins MH"
lab var MH_cousp_`type'`k'`v' 	"Parents Cousins' Spouses MH"
lab var MH_sib_sp_sib_`type'`k'`v' "Siblings of spouses of parents' siblings MH"
lab var OH_`type'`k'`v' 		"Parents OH" 
lab var OH_sibs_`type'`k'`v' 	"Parents' Siblings OH"
lab var OH_sibsp_`type'`k'`v' 	"Parents Siblings' Spouses OH"
lab var OH_cous_`type'`k'`v'  	"Parents' Cousins OH"
lab var OH_cousp_`type'`k'`v' 	"Parents Cousins' Spouses OH"
lab var OH_sib_sp_sib_`type'`k'`v' "Siblings of spouses of parents' siblings OH"


foreach type in i {
    local cum "s"	
	foreach var in diag_P {
		eststo `var'_`type'1: reg `cum'`var' MH_`type'`k'`v' $basic, robust	
		
		eststo `var'_`type'2: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' $basic, robust
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'2
		est store  `var'_`type'2
		scalar se = r(se)
		estadd scalar se:  `var'_`type'2
		est store  `var'_`type'2
			
		eststo `var'_`type'3: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' $basic, robust
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'3
		est store  `var'_`type'3
		scalar se = r(se)
		estadd scalar se:  `var'_`type'3
		est store  `var'_`type'3
		
		eststo `var'_`type'4: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v' $basic, robust
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v' + MH_sibsp_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'4
		est store  `var'_`type'4
		scalar se = r(se)
		estadd scalar se:  `var'_`type'4
		est store  `var'_`type'4
		
		eststo `var'_`type'5: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v'  MH_cousp_`type'`k'`v' $basic, robust
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v' + MH_sibsp_`type'`k'`v' + MH_cousp_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'5
		est store  `var'_`type'5
		scalar se = r(se)
		estadd scalar se:  `var'_`type'5
		est store  `var'_`type'5
		
		eststo `var'_`type'6: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v'  MH_cousp_`type'`k'`v' MH_sib_sp_sib_`type'`k'`v'  $basic, robust
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v' + MH_sibsp_`type'`k'`v' + MH_cousp_`type'`k'`v' + MH_sib_sp_sib_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'6
		est store  `var'_`type'6
		scalar se = r(se)
		estadd scalar se:  `var'_`type'6
		est store  `var'_`type'6
		
		eststo `var'_`type'7: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v'  MH_cousp_`type'`k'`v' OH_`type'`k'`v' OH_sibs_`type'`k'`v' OH_sibsp_`type'`k'`v' OH_cous_`type'`k'`v' OH_cousp_`type'`k'`v' MH_sib_sp_sib_`type'`k'`v' OH_sib_sp_sib_`type'`k'`v'  $basic, robust
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v' + MH_sibsp_`type'`k'`v' + MH_cousp_`type'`k'`v' + MH_sib_sp_sib_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'7
		est store  `var'_`type'7
		scalar se = r(se)
		estadd scalar se:  `var'_`type'7
		est store  `var'_`type'7
	}

	foreach var in non_psy {
		eststo `var'_`type'1: reg `cum'`var' OH_`type'`k'`v' $basic, robust	
		
		eststo `var'_`type'2: reg `cum'`var' OH_`type'`k'`v' OH_sibs_`type'`k'`v' $basic, robust
		lincom  OH_`type'`k'`v' + OH_sibs_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'2
		est store  `var'_`type'2
		scalar se = r(se)
		estadd scalar se:  `var'_`type'2
		est store  `var'_`type'2
			
		eststo `var'_`type'3: reg `cum'`var' OH_`type'`k'`v' OH_sibs_`type'`k'`v' OH_sibsp_`type'`k'`v' $basic, robust
		lincom  OH_`type'`k'`v' + OH_sibs_`type'`k'`v' + OH_sibsp_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'3
		est store  `var'_`type'3
		scalar se = r(se)
		estadd scalar se:  `var'_`type'3
		est store  `var'_`type'3
		
		eststo `var'_`type'4: reg `cum'`var' OH_`type'`k'`v' OH_sibs_`type'`k'`v' OH_sibsp_`type'`k'`v' OH_cous_`type'`k'`v' $basic, robust
		lincom  OH_`type'`k'`v' + OH_sibs_`type'`k'`v' + OH_sibsp_`type'`k'`v' + OH_sibsp_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'4
		est store  `var'_`type'4
		scalar se = r(se)
		estadd scalar se:  `var'_`type'4
		est store  `var'_`type'4
		
		eststo `var'_`type'5: reg `cum'`var' OH_`type'`k'`v' OH_sibs_`type'`k'`v' OH_sibsp_`type'`k'`v' OH_cous_`type'`k'`v'  OH_cousp_`type'`k'`v' $basic, robust
		lincom  OH_`type'`k'`v' + OH_sibs_`type'`k'`v' + OH_sibsp_`type'`k'`v' + OH_sibsp_`type'`k'`v' + OH_cousp_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'5
		est store  `var'_`type'5
		scalar se = r(se)
		estadd scalar se:  `var'_`type'5
		est store  `var'_`type'5
		
		eststo `var'_`type'6: reg `cum'`var' OH_`type'`k'`v' OH_sibs_`type'`k'`v' OH_sibsp_`type'`k'`v' OH_cous_`type'`k'`v'  OH_cousp_`type'`k'`v' OH_sib_sp_sib_`type'`k'`v' $basic, robust
		lincom  OH_`type'`k'`v' + OH_sibs_`type'`k'`v' + OH_sibsp_`type'`k'`v' + OH_sibsp_`type'`k'`v' + OH_cousp_`type'`k'`v' + OH_sib_sp_sib_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'6
		est store  `var'_`type'6
		scalar se = r(se)
		estadd scalar se:  `var'_`type'6
		est store  `var'_`type'6
		
		eststo `var'_`type'7: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v'  MH_cousp_`type'`k'`v' OH_`type'`k'`v' OH_sibs_`type'`k'`v' OH_sibsp_`type'`k'`v' OH_cous_`type'`k'`v' OH_cousp_`type'`k'`v' MH_sib_sp_sib_`type'`k'`v' OH_sib_sp_sib_`type'`k'`v'  $basic, robust
		lincom  OH_`type'`k'`v' + OH_sibs_`type'`k'`v' + OH_sibsp_`type'`k'`v' + OH_cous_`type'`k'`v' + OH_cousp_`type'`k'`v' + MH_sib_sp_sib_`type'`k'`v' + OH_sib_sp_sib_`type'`k'`v' 
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'7
		est store  `var'_`type'7
		scalar se = r(se)
		estadd scalar se:  `var'_`type'7
		est store  `var'_`type'7
	}
}


#delimit ; 
	esttab diag_P_i1 diag_P_i2 diag_P_i3 diag_P_i4 diag_P_i5 diag_P_i6 diag_P_i7 diag_P_i8
	using "$results/table4.tex", replace
	booktabs fragment 
	nolines noconstant
	drop($dropvars)
	b(3) se(3) star(* 0.1 ** 0.05 *** 0.01)
	stats(bb se r2 N, fmt(%9.3g)) 
	label
	;
#delimit cr	

#delimit ; 
	esttab non_psy_i1 non_psy_i2 non_psy_i3 non_psy_i4 non_psy_i5 non_psy_i6 non_psy_i7 
	using "$results/table5.tex", replace
	booktabs fragment 
	nolines noconstant
	drop($dropvars)
	b(3) se(3) star(* 0.1 ** 0.05 *** 0.01)
	stats(bb se r2 N, fmt(%9.3g)) 
	label
	;
#delimit cr	




*-----------------------------------------------------------------------
* robustness
*-----------------------------------------------------------------------
foreach var in  diag_P    {
	
	* baseline
	eststo `var'0: reg s`var' MH_i`k'`v'_sd MH_sibs_i`k'`v'_sd MH_sibsp_i`k'`v'_sd MH_cous_i`k'`v'_sd  MH_cousp_i`k'`v'_sd MH_sib_sp_sib_i`k'`v'_sd $basic, robust
	lincom  MH_i`k'`v'_sd + MH_sibs_i`k'`v'_sd +  MH_sibsp_i`k'`v'_sd + MH_cous_i`k'`v'_sd + MH_cousp_i`k'`v'_sd + MH_sib_sp_sib_i`k'`v'_sd
	scalar bb = r(estimate)
	estadd scalar bb:  `var'0
	est store  `var'0
	scalar se = r(se)
	estadd scalar se:  `var'0
	est store  `var'0
	
	* no controls
	eststo `var'1: reg s`var' MH_i`k'`v'_sd MH_sibs_i`k'`v'_sd MH_sibsp_i`k'`v'_sd MH_cous_i`k'`v'_sd  MH_cousp_i`k'`v'_sd MH_sib_sp_sib_i`k'`v'_sd, robust
	lincom  MH_i`k'`v'_sd + MH_sibs_i`k'`v'_sd +  MH_sibsp_i`k'`v'_sd + MH_cous_i`k'`v'_sd + MH_cousp_i`k'`v'_sd + MH_sib_sp_sib_i`k'`v'_sd
	scalar bb = r(estimate)
	estadd scalar bb:  `var'1
	est store  `var'1
	scalar se = r(se)
	estadd scalar se:  `var'1
	est store  `var'1
	
	* control by nb visits
	eststo `var'2: reg s`var'  MH_i`k'`v'_sd MH_sibs_i`k'`v'_sd MH_sibsp_i`k'`v'_sd MH_cous_i`k'`v'_sd  MH_cousp_i`k'`v'_sd MH_sib_sp_sib_i`k'`v'_sd $basic i.gp, robust
	lincom  MH_i`k'`v'_sd + MH_sibs_i`k'`v'_sd +  MH_sibsp_i`k'`v'_sd + MH_cous_i`k'`v'_sd + MH_cousp_i`k'`v'_sd + MH_sib_sp_sib_i`k'`v'_sd
	scalar bb = r(estimate)
	estadd scalar bb:  `var'2
	est store  `var'2
	scalar se = r(se)
	estadd scalar se:  `var'2
	est store  `var'2
	
	* control for selection in fertility
	eststo `var'3: reg s`var'  MH_i`k'`v'_sd MH_sibs_i`k'`v'_sd MH_sibsp_i`k'`v'_sd MH_cous_i`k'`v'_sd  MH_cousp_i`k'`v'_sd MH_sib_sp_sib_i`k'`v'_sd $basic i.gp $sel, robust
	lincom  MH_i`k'`v'_sd + MH_sibs_i`k'`v'_sd +  MH_sibsp_i`k'`v'_sd + MH_cous_i`k'`v'_sd + MH_cousp_i`k'`v'_sd + MH_sib_sp_sib_i`k'`v'_sd
	scalar bb = r(estimate)
	estadd scalar bb:  `var'3
	est store  `var'3
	scalar se = r(se)
	estadd scalar se:  `var'3
	est store  `var'3
	
	* indiv
	eststo `var'4: areg s`var'  MH_i`k'`v'_sd MH_sibs_i`k'`v'_sd MH_sibsp_i`k'`v'_sd MH_cous_i`k'`v'_sd  MH_cousp_i`k'`v'_sd MH_sib_sp_sib_i`k'`v'_sd $basic i.gp $sel $indiv, a(bokomm) robust
	lincom  MH_i`k'`v'_sd + MH_sibs_i`k'`v'_sd +  MH_sibsp_i`k'`v'_sd + MH_cous_i`k'`v'_sd + MH_cousp_i`k'`v'_sd + MH_sib_sp_sib_i`k'`v'_sd
	scalar bb = r(estimate)
	estadd scalar bb:  `var'4
	est store  `var'4
	scalar se = r(se)
	estadd scalar se:  `var'4
	est store  `var'4
	
	* schools
	eststo `var'5:  areg s`var'  MH_i`k'`v'_sd MH_sibs_i`k'`v'_sd MH_sibsp_i`k'`v'_sd MH_cous_i`k'`v'_sd  MH_cousp_i`k'`v'_sd MH_sib_sp_sib_i`k'`v'_sd i.gp $sel $indiv $basic , a(middleschool_d_yob) vce(robust)
	lincom  MH_i`k'`v'_sd + MH_sibs_i`k'`v'_sd +  MH_sibsp_i`k'`v'_sd + MH_cous_i`k'`v'_sd + MH_cousp_i`k'`v'_sd + MH_sib_sp_sib_i`k'`v'_sd
	scalar bb = r(estimate)
	estadd scalar bb:  `var'5
	est store  `var'5
	scalar se = r(se)
	estadd scalar se:  `var'5
	est store  `var'5
	

	* gp
	eststo `var'6:  areg s`var'  MH_i`k'`v'_sd MH_sibs_i`k'`v'_sd MH_sibsp_i`k'`v'_sd MH_cous_i`k'`v'_sd  MH_cousp_i`k'`v'_sd MH_sib_sp_sib_i`k'`v'_sd i.gp $sel $indiv $basic , a(docid) vce(robust)
	lincom  MH_i`k'`v'_sd + MH_sibs_i`k'`v'_sd +  MH_sibsp_i`k'`v'_sd + MH_cous_i`k'`v'_sd + MH_cousp_i`k'`v'_sd + MH_sib_sp_sib_i`k'`v'_sd
	scalar bb = r(estimate)
	estadd scalar bb:  `var'6
	est store  `var'6
	scalar se = r(se)
	estadd scalar se:  `var'6
	est store  `var'6

}	

#delimit ; 
	esttab diag_P0 diag_P1 diag_P2 diag_P3 diag_P4 diag_P5 diag_P6
	using "$results\table8.tex", replace
	title(`tabname') 
	booktabs fragment 
	nolines noconstant
	drop($dropvars)
	b(3) se(3) star(* 0.1 ** 0.05 *** 0.01)
	stats(bb se r2 N, fmt(%9.3g)) 
	label
	;
#delimit cr		


foreach var in  diag_P    {
	
	* baseline
	eststo `var'0: reg c`var' MH_e`k'`v' MH_sibs_e`k'`v' MH_sibsp_e`k'`v' MH_cous_e`k'`v'  MH_cousp_e`k'`v' MH_sib_sp_sib_e`k'`v' $basic, robust
	lincom  MH_e`k'`v' + MH_sibs_e`k'`v' +  MH_sibsp_e`k'`v' + MH_cous_e`k'`v' + MH_cousp_e`k'`v' + MH_sib_sp_sib_e`k'`v'
	scalar bb = r(estimate)
	estadd scalar bb:  `var'0
	est store  `var'0
	scalar se = r(se)
	estadd scalar se:  `var'0
	est store  `var'0
	
	* no controls
	eststo `var'1: reg c`var' MH_e`k'`v' MH_sibs_e`k'`v' MH_sibsp_e`k'`v' MH_cous_e`k'`v'  MH_cousp_e`k'`v' MH_sib_sp_sib_e`k'`v', robust
	lincom  MH_e`k'`v' + MH_sibs_e`k'`v' +  MH_sibsp_e`k'`v' + MH_cous_e`k'`v' + MH_cousp_e`k'`v' + MH_sib_sp_sib_e`k'`v'
	scalar bb = r(estimate)
	estadd scalar bb:  `var'1
	est store  `var'1
	scalar se = r(se)
	estadd scalar se:  `var'1
	est store  `var'1
	
	* control by nb visits
	eststo `var'2: reg c`var'  MH_e`k'`v' MH_sibs_e`k'`v' MH_sibsp_e`k'`v' MH_cous_e`k'`v'  MH_cousp_e`k'`v' MH_sib_sp_sib_e`k'`v' $basic i.gp, robust
	lincom  MH_e`k'`v' + MH_sibs_e`k'`v' +  MH_sibsp_e`k'`v' + MH_cous_e`k'`v' + MH_cousp_e`k'`v' + MH_sib_sp_sib_e`k'`v'
	scalar bb = r(estimate)
	estadd scalar bb:  `var'2
	est store  `var'2
	scalar se = r(se)
	estadd scalar se:  `var'2
	est store  `var'2
	
	* control for selection in fertility
	eststo `var'3: reg c`var'  MH_e`k'`v' MH_sibs_e`k'`v' MH_sibsp_e`k'`v' MH_cous_e`k'`v'  MH_cousp_e`k'`v' MH_sib_sp_sib_e`k'`v' $basic i.gp $sel, robust
	lincom  MH_e`k'`v' + MH_sibs_e`k'`v' +  MH_sibsp_e`k'`v' + MH_cous_e`k'`v' + MH_cousp_e`k'`v' + MH_sib_sp_sib_e`k'`v'
	scalar bb = r(estimate)
	estadd scalar bb:  `var'3
	est store  `var'3
	scalar se = r(se)
	estadd scalar se:  `var'3
	est store  `var'3
	
	* indiv
	eststo `var'4: areg c`var'  MH_e`k'`v' MH_sibs_e`k'`v' MH_sibsp_e`k'`v' MH_cous_e`k'`v'  MH_cousp_e`k'`v' MH_sib_sp_sib_e`k'`v' $basic i.gp $sel $indiv, a(bokomm) robust
	lincom  MH_e`k'`v' + MH_sibs_e`k'`v' +  MH_sibsp_e`k'`v' + MH_cous_e`k'`v' + MH_cousp_e`k'`v' + MH_sib_sp_sib_e`k'`v'
	scalar bb = r(estimate)
	estadd scalar bb:  `var'4
	est store  `var'4
	scalar se = r(se)
	estadd scalar se:  `var'4
	est store  `var'4
	
	* schools
	eststo `var'5:  reghdfe c`var'  MH_e`k'`v' MH_sibs_e`k'`v' MH_sibsp_e`k'`v' MH_cous_e`k'`v'  MH_cousp_e`k'`v' MH_sib_sp_sib_e`k'`v' i.gp $sel $indiv $basic , a(bokomm middleschool_d_yob) vce(robust)
	lincom  MH_e`k'`v' + MH_sibs_e`k'`v' +  MH_sibsp_e`k'`v' + MH_cous_e`k'`v' + MH_cousp_e`k'`v' + MH_sib_sp_sib_e`k'`v'
	scalar bb = r(estimate)
	estadd scalar bb:  `var'5
	est store  `var'5
	scalar se = r(se)
	estadd scalar se:  `var'5
	est store  `var'5
	

	* gp
	eststo `var'6:  areg c`var'  MH_e`k'`v' MH_sibs_e`k'`v' MH_sibsp_e`k'`v' MH_cous_e`k'`v'  MH_cousp_e`k'`v' MH_sib_sp_sib_e`k'`v' i.gp $sel $indiv $basic , a(docid) vce(robust)
	lincom  MH_e`k'`v' + MH_sibs_e`k'`v' +  MH_sibsp_e`k'`v' + MH_cous_e`k'`v' + MH_cousp_e`k'`v' + MH_sib_sp_sib_e`k'`v'
	scalar bb = r(estimate)
	estadd scalar bb:  `var'6
	est store  `var'6
	scalar se = r(se)
	estadd scalar se:  `var'6
	est store  `var'6
	
	* control by grandparents longevity
	eststo `var'7: reg c`var' MH_e`k'`v' MH_sibs_e`k'`v' MH_sibsp_e`k'`v' MH_cous_e`k'`v'  MH_cousp_e`k'`v' MH_sib_sp_sib_e`k'`v' grandparents_60 $basic, robust
	lincom  MH_e`k'`v' + MH_sibs_e`k'`v' +  MH_sibsp_e`k'`v' + MH_cous_e`k'`v' + MH_cousp_e`k'`v' + MH_sib_sp_sib_e`k'`v'
	scalar bb = r(estimate)
	estadd scalar bb:  `var'7
	est store  `var'7
	scalar se = r(se)
	estadd scalar se:  `var'7
	est store  `var'7

}	

#delimit ; 
	esttab diag_P0 diag_P1 diag_P2 diag_P3 diag_P4 diag_P5 diag_P6
	using "$results\table7.tex", replace
	title(`tabname') 
	booktabs fragment 
	nolines noconstant
	drop($dropvars)
	b(3) se(3) star(* 0.1 ** 0.05 *** 0.01)
	stats(bb se r2 N, fmt(%9.3g)) 
	label
	;
#delimit cr		

#delimit ; 
	esttab diag_P0 diag_P7
	using "$results\table11a.tex", replace
	title(`tabname') 
	booktabs fragment 
	nolines noconstant
	drop($dropvars)
	b(3) se(3) star(* 0.1 ** 0.05 *** 0.01)
	stats(bb se r2 N, fmt(%9.3g)) 
	label
	;
#delimit cr	

*-----------------------------------------------------------------------
* by interaction MHXOH
*-----------------------------------------------------------------------
local type "e"
ge MH_OH_`type'`k'`v'= MH_`type'`k'`v'*OH_`type'`k'`v'
ge MH_OH_sibs_`type'`k'`v'= MH_sibs_`type'`k'`v'*OH_sibs_`type'`k'`v'

foreach var in diag_P {
	local type "e"	
	eststo `var'_`type'0: reg c`var' MH_`type'`k'`v' OH_`type'`k'`v' $basic, robust
	
	eststo `var'_`type': reg c`var' MH_`type'`k'`v' OH_`type'`k'`v'  MH_OH_`type'`k'`v' $basic, robust
}

#delimit ; 
	esttab diag_P_e0 diag_P_e 
	using "$results\table10a.tex", replace
	booktabs fragment 
    nolines noconstant
	drop($dropvars) 
	mtitles("No Inter" "Inter")
	b(3) se(3) star(* 0.1 ** 0.05 *** 0.01)
	stats(mean bb se r2 N, fmt(%9.3g)) 
	label
	;
#delimit cr	
eststo clear

*-----------------------------------------------------------------------
* heterogeneity
*-----------------------------------------------------------------------
foreach var in MH_e`k'`v' MH_sibs_e`k'`v' MH_sibsp_e`k'`v' MH_cous_e`k'`v'  MH_cousp_e`k'`v'  MH_sib_sp_sib_e`k'`v'  {
			ge `var'_male = `var'*male
			ge `var'_c = `var'*college_par
	}


foreach var in diag_P    {
    
	local heter "male"
	eststo `var'_`heter': reg c`var' MH_e`k'`v' MH_sibs_e`k'`v' MH_sibsp_e`k'`v' MH_cous_e`k'`v'  MH_cousp_e`k'`v' MH_sib_sp_sib_e`k'`v' ///
		MH_e`k'`v'_`heter' MH_sibs_e`k'`v'_`heter' MH_sibsp_e`k'`v'_`heter' MH_cous_e`k'`v'_`heter'  MH_cousp_e`k'`v'_`heter' ///
		MH_sib_sp_sib_e`k'`v'_`heter' $basic male,  robust
	
	local heter "c"
	eststo `var'_`heter': reg c`var' MH_e`k'`v' MH_sibs_e`k'`v' MH_sibsp_e`k'`v' MH_cous_e`k'`v'  MH_cousp_e`k'`v' MH_sib_sp_sib_e`k'`v' ///
		MH_e`k'`v'_`heter' MH_sibs_e`k'`v'_`heter' MH_sibsp_e`k'`v'_`heter' MH_cous_e`k'`v'_`heter'  MH_cousp_e`k'`v'_`heter' ///
		MH_sib_sp_sib_e`k'`v'_`heter' $basic college_par,  robust
}
#delimit ; 
	esttab diag_P_male diag_P_c 
	using "$results\table15a.tex", replace
	booktabs fragment 
	nolines noconstant
	drop($dropvars)
	b(3) se(3) star(* 0.1 ** 0.05 *** 0.01)
	stats(bb se N, fmt(%9.3g)) 
	label
	;
#delimit cr		


*-----------------------------------------------------------------------
* by mother and father
*-----------------------------------------------------------------------
foreach var in diag_P {
	eststo `var'1: reg c`var' $e_parents $basic, robust	
	eststo `var'2: reg c`var' $e_parents $parents_sibs $basic, robust
	eststo `var'3: reg c`var' $e_parents $parents_sibs $parents_sibspouse $basic, robust
	eststo `var'4: reg c`var' $e_parents $parents_sibs $parents_sibspouse $cousins $basic, robust
	eststo `var'5: reg c`var' $e_parents $parents_sibs $parents_sibspouse $cousins $cousins_sp $basic, robust
	eststo `var'6: reg c`var' $e_parents $parents_sibs $parents_sibspouse $cousins $cousins_sp $sib_sp_sib $basic, robust
}

#delimit ; 
	esttab diag_P1 diag_P2 diag_P3 diag_P4 diag_P5 diag_P6 
	using "$results\table16a.tex", replace
	booktabs fragment 
    nolines noconstant
	drop($dropvars)
	b(3) se(3) star(* 0.1 ** 0.05 *** 0.01)
	label
	;
#delimit cr	
eststo clear




*-------------------------------------------------------------------------
** doc/nurse in family
*-------------------------------------------------------------------------
foreach type in e {
local cum "c" 
	foreach var in diag_P {
		eststo `var'_`type'1: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v'  MH_cousp_`type'`k'`v' MH_sib_sp_sib_`type'`k'`v'  $basic if parent_doc == 1 |  grandpar_doc==1 | parsibs_doc == 1 |  parsibs_sp_doc == 1 | parcous_doc == 1 | parcous_sp_doc == 1 | parsib_sp_sib_doc==1 | parent_nurse == 1 |  grandpar_nurse==1 | parsibs_nurse == 1 |  parsibs_sp_nurse == 1 | parcous_nurse == 1 | parcous_sp_nurse == 1 | parsib_sp_sib_nurse==1 , robust
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v'  + MH_cous_`type'`k'`v' + MH_cousp_`type'`k'`v' + MH_sib_sp_sib_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'1
		est store  `var'_`type'1
		scalar se = r(se)
		estadd scalar se:  `var'_`type'1
		est store  `var'_`type'1
		
		eststo `var'_`type'2: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v'  MH_cousp_`type'`k'`v' MH_sib_sp_sib_`type'`k'`v'  $basic if parent_doc == 0 &  grandpar_doc==0 & parsibs_doc == 0 &  parsibs_sp_doc == 0 & parcous_doc == 0 & parcous_sp_doc == 0 & parsib_sp_sib_doc==0 & parent_nurse == 0 &  grandpar_nurse==0 & parsibs_nurse == 0 &  parsibs_sp_nurse == 0 & parcous_nurse == 0 & parcous_sp_nurse == 0 & parsib_sp_sib_nurse==0, robust
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v'  + MH_cous_`type'`k'`v' + MH_cousp_`type'`k'`v' + MH_sib_sp_sib_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'2
		est store  `var'_`type'2
		scalar se = r(se)
		estadd scalar se:  `var'_`type'2
		est store  `var'_`type'2
		
		eststo `var'_`type'1b: reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v'  MH_cousp_`type'`k'`v' MH_sib_sp_sib_`type'`k'`v'  $basic if parent_doc == 1 |  grandpar_doc==1 | parsibs_doc == 1 |  parsibs_sp_doc == 1 | parcous_doc == 1 | parcous_sp_doc == 1 | parsib_sp_sib_doc==1, robust
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v'  + MH_cous_`type'`k'`v' + MH_cousp_`type'`k'`v' + MH_sib_sp_sib_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'1b
		est store  `var'_`type'1b
		scalar se = r(se)
		estadd scalar se:  `var'_`type'1b
		est store  `var'_`type'1b
	}
}

#delimit ; 
	esttab diag_P_e1 diag_P_e1b diag_P_e2 
	using "$results\table17a.tex", replace
	booktabs fragment 
	nolines noconstant
	drop($dropvars)
	mtitles("Doc or Nurse" "Doc" "No Doc or Nurse")
	b(3) se(3) star(* 0.1 ** 0.05 *** 0.01)
	stats(bb se N, fmt(%9.3g)) 
	label
	;
#delimit cr		
eststo clear

log close
