clear all
capture clear
capture log close
capture program drop _all
cd "O:\mentalhealth\data\"
set more off
set maxvar 12000

global results "O:\mentalhealth\tables_rep\"

log using "O:\mentalhealth\tables_rep\interg_reg3035.log", tex replace

use sample_final_x3035, clear
local i= 13
local j= 18
local k = 30
local v = `k'+5
*-------------------------------------------------------------------------
** additional variables, controls to be used
*-------------------------------------------------------------------------

global basic "male i.yob i.year i.mor_nsibs i.far_nsibs i.mor_nb_sp i.far_nb_sp i.mor_ncous i.mor_ncousp i.far_ncous i.far_ncousp dmormor_lnr_m dmorfar_lnr_m dfarmor_lnr_m dfarfar_lnr_m dmormormor_lnr_m dmormorfar_lnr_m dmorfarmor_lnr_m dmorfarfar_lnr_m dfarmormor_lnr_m dfarmorfar_lnr_m dfarfarmor_lnr_m dfarfarfar_lnr_m i.mor_sib_sp_sib  i.far_sib_sp_sib"

global e_parents			"mor_lnrMH_e`k'`v'  far_lnrMH_e`k'`v' mor_lnrOH_e`k'`v'  far_lnrOH_e`k'`v'" 
global parents_sibs 		"MHmor_sibs_e`k'`v'  MHfar_sibs_e`k'`v'  OHmor_sibs_e`k'`v'  OHfar_sibs_e`k'`v' "
global parents_sibspouse 	"MHmor_sibsp_e`k'`v' MHfar_sibsp_e`k'`v' OHmor_sibsp_e`k'`v' OHfar_sibsp_e`k'`v' "
global cousins 				"MHmor_cous_e`k'`v'  MHfar_cous_e`k'`v'  OHmor_cous_e`k'`v'  OHfar_cous_e`k'`v'"
global cousins_sp 			"MHmor_cousp_e`k'`v' MHfar_cousp_e`k'`v' OHmor_cousp_e`k'`v' OHfar_cousp_e`k'`v'"
global sib_sp_sib			"MHmor_sib_sp_sib_e`k'`v' MHfar_sib_sp_sib_e`k'`v' OHmor_sib_sp_sib_e`k'`v' OHfar_sib_sp_sib_e`k'`v'"

global dropvars 			"male *yob* *year* *mor_nsibs* *far_nsibs* *r_nb_sp* *r_ncous* *r_ncousp* dmormor_lnr_m dmorfar_lnr_m dfarmor_lnr_m dfarfar_lnr_m dmormormor_lnr_m dmormorfar_lnr_m dmorfarmor_lnr_m dmorfarfar_lnr_m dfarmormor_lnr_m dfarmorfar_lnr_m dfarfarmor_lnr_m dfarfarfar_lnr_m *mor_sib_sp_sib *far_sib_sp_sib"


* if no siblings, siblings' spouse, cousins, cousins' spouse then health measures are 0
foreach type in mor far {
	foreach sick in MH OH {
		replace `sick'`type'_sibs_e`k'`v' = 0 if `type'_nsibs == 0 & `sick'`type'_sibs_e`k'`v' == .
		replace `sick'`type'_sibs_i`k'`v' = 0 if `type'_nsibs == 0 & `sick'`type'_sibs_i`k'`v' == .
		
		replace `sick'`type'_sibsp_e`k'`v' = 0 if `type'_nb_sp == 0 & `sick'`type'_sibsp_e`k'`v' == .
		replace `sick'`type'_sibsp_i`k'`v' = 0 if `type'_nb_sp == 0 & `sick'`type'_sibsp_i`k'`v' == .
		
		replace `sick'`type'_cous_e`k'`v' = 0 if `type'_ncous == 0 & `sick'`type'_cous_e`k'`v' == .
		replace `sick'`type'_cous_i`k'`v' = 0 if `type'_ncous == 0 & `sick'`type'_cous_i`k'`v' == .
		
		replace `sick'`type'_cousp_e`k'`v' = 0 if `type'_ncousp == 0 & `sick'`type'_cousp_e`k'`v' == .
		replace `sick'`type'_cousp_i`k'`v' = 0 if `type'_ncousp == 0 & `sick'`type'_cousp_i`k'`v' == .
		
		replace `sick'`type'_sib_sp_sib_e`k'`v' = 0 if `type'_nsibs == 0 & `sick'`type'_sib_sp_sib_e`k'`v' == .
		replace `sick'`type'_sib_sp_sib_i`k'`v' = 0 if `type'_nsibs == 0 & `sick'`type'_sib_sp_sib_i`k'`v' == .

	}
}


foreach sick in MH OH {
	replace `sick'_sibs_e`k'`v' = 0 if mor_nsibs == 0 & far_nsibs == 0 & `sick'_sibs_e`k'`v' == .
	replace `sick'_sibs_i`k'`v' = 0 if mor_nsibs == 0 & far_nsibs == 0 & `sick'_sibs_i`k'`v' == .
	for var `sick'_sibs_e`k'`v' `sick'_sibs_i`k'`v': replace X = 0 if X ==. & (mor_nsibs >0 | far_nsibs >0)
	
	replace `sick'_sibsp_e`k'`v' = 0 if mor_nsibs == 0 & far_nsibs == 0 & `sick'_sibsp_e`k'`v' == .
	replace `sick'_sibsp_i`k'`v' = 0 if mor_nsibs == 0 & far_nsibs == 0 & `sick'_sibsp_i`k'`v' == .
	for var `sick'_sibsp_e`k'`v' `sick'_sibsp_i`k'`v': replace X = 0 if X ==. & (mor_nb_sp >0 | far_nb_sp >0)  
			
	replace `sick'_cous_e`k'`v' = 0 if mor_ncous == 0 & far_ncous == 0 & `sick'_cous_e`k'`v' == .
	replace `sick'_cous_i`k'`v' = 0 if mor_ncous == 0 & far_ncous == 0 & `sick'_cous_i`k'`v' == .
	for var `sick'_cous_e`k'`v' `sick'_cous_i`k'`v': replace X = 0 if X ==. & (mor_ncous >0 | far_ncous >0) 
	
	replace `sick'_cousp_e`k'`v' = 0 if mor_ncous == 0 & far_ncous == 0 & `sick'_cousp_e`k'`v' == .
	replace `sick'_cousp_i`k'`v' = 0 if mor_ncous == 0 & far_ncous == 0 & `sick'_cousp_i`k'`v' == .
	for var `sick'_cousp_e`k'`v' `sick'_cousp_i`k'`v': replace X = 0 if X ==. & (mor_ncousp >0 | far_ncousp >0) 
	
	replace `sick'_sib_sp_sib_e`k'`v' = 0 if mor_nsib == 0 & far_nsibs == 0 & `sick'_sib_sp_sib_e`k'`v' == .
	replace `sick'_sib_sp_sib_i`k'`v' = 0 if mor_nsib == 0 & far_nsibs == 0 & `sick'_sib_sp_sib_i`k'`v' == .
	for var `sick'_sib_sp_sib_e`k'`v' `sick'_sib_sp_sib_i`k'`v': replace X = 0 if X ==. & (mor_nb_sp >0 | far_nb_sp >0)  
}



replace paritet_5 = paritet_5+1

ge d_grandpar = mormor_lnr != "" | morfar_lnr != "" |  farmor_lnr != "" | farfar_lnr != "" 	
ge d_greatgpar = mormormor_lnr != "" | mormorfar_lnr != "" | morfarmor_lnr != "" | morfarfar_lnr != "" | farmormor_lnr != "" | farmorfar_lnr != "" | farfarmor_lnr != "" | farfarfar_lnr != ""  
ge anysib_cous = (mor_nsibs >0 | far_nsibs >0) & (mor_ncous >0 | far_ncous >0)
ge any_sp = (mor_nb_sp >0 | far_nb_sp>0) & (mor_ncousp > 0 | far_ncousp > 0) & (mor_sib_sp_sib > 0 | far_sib_sp_sib>0)


*-------------------------------------------------------------------------
** impose sample restrictions
*-------------------------------------------------------------------------
count
* must be in sample
keep if sample_`k'_`v' == 1

count
* must have grandparents & great-grandparents (as Adermon et al)
keep if d_grandpar == 1
count
keep if d_greatgpar == 1
count


* must have at least one observation of parents health at 25-30 (missing if parents have not worked; as Adermon et al)
keep if MH_i`k'`v'!=.
count

* must have a relative in each generation (siblings, cousins, spouses... as Adermon et al)
foreach var in mormor_lnr morfar_lnr farmor_lnr farfar_lnr mormormor_lnr mormorfar_lnr morfarmor_lnr morfarfar_lnr farmormor_lnr farmorfar_lnr farfarmor_lnr farfarfar_lnr {
	ge d`var'_m = `var' !=""
} 
keep if anysib_cous == 1
count
keep if any_sp == 1
count

local type "i"
foreach var in sdiag_P MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v'  MH_cousp_`type'`k'`v'  MH_sib_sp_sib_`type'`k'`v' {
	rename `var' aux
	egen `var' = std(aux)
	drop aux
}


lab var MH_`type'`k'`v' 		"Parents MH" 
lab var MH_sibs_`type'`k'`v' 	"Parents' Siblings MH"
lab var MH_sibsp_`type'`k'`v' 	"Parents Siblings' Spouses MH"
lab var MH_cous_`type'`k'`v'  	"Parents' Cousins MH"
lab var MH_cousp_`type'`k'`v' 	"Parents Cousins' Spouses MH"
lab var MH_sib_sp_sib_`type'`k'`v' "Siblings of spouses of parents' siblings MH"


*-------------------------------------------------------------------------
** basic (all)
*-------------------------------------------------------------------------
foreach type in e {
    local cum "c" 
	foreach var in diag_P {
	
		eststo `var'_`type': reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v'  MH_cousp_`type'`k'`v' MH_sib_sp_sib_`type'`k'`v'  $basic, robust
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v' + MH_cous_`type'`k'`v' + MH_cousp_`type'`k'`v' + MH_sib_sp_sib_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'
		est store  `var'_`type'
		scalar se = r(se)
		estadd scalar se:  `var'_`type'
		est store  `var'_`type'
	}
}

foreach type in i {
    local cum "s"	
	foreach var in diag_P {
		eststo `var'_`type': reg `cum'`var' MH_`type'`k'`v' MH_sibs_`type'`k'`v' MH_sibsp_`type'`k'`v' MH_cous_`type'`k'`v'  MH_cousp_`type'`k'`v' MH_sib_sp_sib_`type'`k'`v'  $basic, robust
		lincom  MH_`type'`k'`v' + MH_sibs_`type'`k'`v' + MH_sibsp_`type'`k'`v' + MH_cous_`type'`k'`v' + MH_cousp_`type'`k'`v' + MH_sib_sp_sib_`type'`k'`v'
		scalar bb = r(estimate)
		estadd scalar bb:  `var'_`type'
		est store  `var'_`type'
		scalar se = r(se)
		estadd scalar se:  `var'_`type'
		est store  `var'_`type'

	}
}

#delimit ; 
	esttab diag_P_e  diag_P_i
	using "$results/tables_7_8_col8.tex", replace
	booktabs fragment 
	nolines noconstant
	drop($dropvars)
	b(3) se(3) star(* 0.1 ** 0.05 *** 0.01)
	stats(mean bb se r2 N, fmt(%9.3g)) 
	label
	;
#delimit cr	

log close

