clear all
capture clear
capture log close
capture program drop _all
set maxvar 100000
set max_memory 120g
cd "O:\mentalhealth\data\"
set more off


*-------------------------------------------------------------------------
////Siblings of spouses of mother's siblings
*-------------------------------------------------------------------------
local kin "mor_sibspsib" 

use lopenr using sample_new2, clear
duplicates drop
merge 1:1 lopenr using "working_sample_children", keep(3) nogen
compress
keep lopenr mor_sib*_sp_sib*
drop mor_sib*_sp_sib 
save "sample_with_dyn_ids`kin'_3035", replace

ds mor_sib*_sp_sib* 


foreach id in `r(varlist)' {
	use `id' using "sample_with_dyn_ids`kin'_3035", clear
	drop if missing(`id')
	if _N > 0 {
		rename `id' lopenr
		duplicates drop
		
		merge 1:1 lopenr using sl30_35, keep(1 3) nogen 

		rename lopenr `id'
		
		foreach i of numlist 30 {
			local j =  `i' + 5
			rename d_slP_`i'`j' 	 `id'MH_e`i'`j'
			rename slP_`i'`j'    	 `id'MH_i`i'`j'
			rename do_sl_`i'`j'		 `id'OH_e`i'`j'
			rename o_sl_`i'`j' 		 `id'OH_i`i'`j'
			rename days_sl_`i'`j' 	 `id'SL_i`i'`j'
			rename d_sl_`i'`j' 		 `id'SL_e`i'`j' 	
		
			foreach var in mus muf muo can chr car dep anx sub adh eat op  {
				rename days_`var'_`i'`j' `id'`var'i`i'`j'
				ge `id'`var'e`i'`j' = `id'`var'i`i'`j' > 0 if `id'`var'i`i'`j'!=.
			}
		}	
			
		keep `id' `id'MH_e* `id'MH_i* `id'OH_e* `id'OH_i* `id'SL_i* `id'SL_e* `id'mus* `id'muf* `id'muo* `id'can* `id'chr* `id'car* `id'dep* `id'anx* `id'sub* `id'adh* `id'eat* `id'op* 
		merge 1:m `id' using "sample_with_dyn_ids`kin'_3035", keep(2 3) nogen
		qui compress
		save "sample_with_dyn_ids`kin'_3035", replace
	}
}

