clear all
capture clear
capture log close
capture program drop _all
set maxvar 100000
set max_memory 30g
cd "O:\mentalhealth\data\"
set more off


********************************************************************************
//Cousins ids
********************************************************************************
//First, get parents' aunts/uncles
foreach p in mormor morfar farmor farfar {
	use working_sample_children, clear
	
	keep `p'mor_lnr // greatgrandmothers + her children
	drop if missing(`p'mor_lnr) 
	rename `p'mor_lnr mor_lnr
	
	duplicates drop
	
	merge 1:m mor_lnr using data_dynastic_id.dta, keep(1 3) nogen keepusing(lopenr) 
	
	rename lopenr `p'sib
	bysort mor_lnr (`p'sib): gen j = _n
	
	sum j
	local max_j `r(max)'
	
	reshape wide `p'sib, i(mor_lnr) j(j)
	
	gen `p'mor_children = ""
	format `p'mor_children  %14s
	replace `p'mor_children = "," + `p'sib1 if `p'sib1!=""
	
	foreach i of numlist 2/`max_j' {
		replace `p'mor_children = `p'mor_children + "," + `p'sib`i' if `p'sib`i'!=""
	}
	
	rename mor_lnr `p'mor_lnr
	keep `p'mor_lnr `p'mor_children
	
	merge 1:m `p'mor_lnr using working_sample_children, keep(2 3) nogen
	save working_sample_children, replace
}

foreach p in mormor morfar farmor farfar {
	use working_sample_children, clear
	
	keep `p'far_lnr // greatgrandfathers + his children
	drop if missing(`p'far_lnr) 
	rename `p'far_lnr far_lnr
	
	duplicates drop
	
	merge 1:m far_lnr using data_dynastic_id.dta, keep(1 3) nogen keepusing(lopenr) 
	
	rename lopenr `p'sib
	bysort far_lnr (`p'sib): gen j = _n
	
	sum j
	local max_j `r(max)'
	
	reshape wide `p'sib, i(far_lnr) j(j)
	
	gen `p'far_children = ""
	format `p'far_children  %14s
	replace `p'far_children = "," + `p'sib1 if `p'sib1!=""
	
	foreach i of numlist 2/`max_j' {
		replace `p'far_children = `p'far_children + "," + `p'sib`i' if `p'sib`i'!=""
	}
	
	rename far_lnr `p'far_lnr
	keep `p'far_lnr `p'far_children
	
	merge 1:m `p'far_lnr using working_sample_children, keep(2 3) nogen
	save working_sample_children, replace
}
use working_sample_children, clear

gen mormor_id = ""
replace mormor_id = "," + mormor_lnr if !missing(mormor_lnr)

replace mormormor_children = subinstr(mormormor_children, mormor_id, "", .) //removes the grandmother 
replace mormormor_children = substr(mormormor_children, 2, .)

replace mormorfar_children = subinstr(mormorfar_children, mormor_id, "", .)
replace mormorfar_children = substr(mormorfar_children, 2, .)

gen mormor_siblings = ""
replace mormor_siblings = mormormor_children + "," + mormorfar_children if !missing(mormormor_children) & !missing(mormorfar_children)
replace mormor_siblings = mormormor_children if !missing(mormormor_children) & missing(mormorfar_children)
replace mormor_siblings = mormorfar_children if missing(mormormor_children) & !missing(mormorfar_children)

**
gen morfar_id = ""
replace morfar_id = "," + morfar_lnr if !missing(morfar_lnr)

replace morfarmor_children = subinstr(morfarmor_children, morfar_id, "", .) //removes the grandfather 
replace morfarmor_children = substr(morfarmor_children, 2, .)

replace morfarfar_children = subinstr(morfarfar_children, morfar_id, "", .)
replace morfarfar_children = substr(morfarfar_children, 2, .)

gen morfar_siblings = ""
replace morfar_siblings = morfarmor_children + "," + morfarfar_children if !missing(morfarmor_children) & !missing(morfarfar_children)
replace morfar_siblings = morfarmor_children if !missing(morfarmor_children) & missing(morfarfar_children)
replace morfar_siblings = morfarfar_children if missing(morfarmor_children) & !missing(morfarfar_children)

gen mor_unclesaunts = ""
replace mor_unclesaunts = mormor_siblings + "," + morfar_siblings if !missing(mormor_siblings) & !missing(morfar_siblings)
replace mor_unclesaunts = mormor_siblings if !missing(mormor_siblings) & missing(morfar_siblings)
replace mor_unclesaunts = morfar_siblings if missing(mormor_siblings) & !missing(morfar_siblings)

**
gen farmor_id = ""
replace farmor_id = "," + farmor_lnr if !missing(farmor_lnr)

replace farmormor_children = subinstr(farmormor_children, farmor_id, "", .) //removes the grandmother 
replace farmormor_children = substr(farmormor_children, 2, .)

replace farmorfar_children = subinstr(farmorfar_children, farmor_id, "", .)
replace farmorfar_children = substr(farmorfar_children, 2, .)

gen farmor_siblings = ""
replace farmor_siblings = farmormor_children + "," + farmorfar_children if !missing(farmormor_children) & !missing(farmorfar_children)
replace farmor_siblings = farmormor_children if !missing(farmormor_children) & missing(farmorfar_children)
replace farmor_siblings = farmorfar_children if missing(farmormor_children) & !missing(farmorfar_children)

**
gen farfar_id = ""
replace farfar_id = "," + farfar_lnr if !missing(farfar_lnr)

replace farfarmor_children = subinstr(farfarmor_children, farfar_id, "", .) //removes the grandfather 
replace farfarmor_children = substr(farfarmor_children, 2, .)

replace farfarfar_children = subinstr(farfarfar_children, farfar_id, "", .)
replace farfarfar_children = substr(farfarfar_children, 2, .)

gen farfar_siblings = ""
replace farfar_siblings = farfarmor_children + "," + farfarfar_children if !missing(farfarmor_children) & !missing(farfarfar_children)
replace farfar_siblings = farfarmor_children if !missing(farfarmor_children) & missing(farfarfar_children)
replace farfar_siblings = farfarfar_children if missing(farfarmor_children) & !missing(farfarfar_children)

gen far_unclesaunts = ""
replace far_unclesaunts = farmor_siblings + "," + farfar_siblings if !missing(farmor_siblings) & !missing(farfar_siblings)
replace far_unclesaunts = farmor_siblings if !missing(farmor_siblings) & missing(farfar_siblings)
replace far_unclesaunts = farfar_siblings if missing(farmor_siblings) & !missing(farfar_siblings)

drop *children *id morfar_siblings mormor_siblings farmor_siblings farfar_siblings
save working_sample_children, replace
**
foreach p in mor far {
	use working_sample_children, clear
	keep `p'_lnr `p'_unclesaunts //remove duplicates from the uncles/aunts id
	split `p'_unclesaunts, p(,)
	drop `p'_unclesaunts
	duplicates drop
	reshape long `p'_unclesaunts, i(`p'_lnr)
	drop _j
	duplicates drop
	drop if missing(`p'_unclesaunts)
	bysort `p'_lnr (`p'_unclesaunts): gen j = _n
	sum j
	local j `r(max)'
	replace `p'_unclesaunts = "," + `p'_unclesaunts if j != 1
	reshape wide `p'_unclesaunts, i(`p'_lnr) j(j)
	gen `p'_unclesaunts = `p'_unclesaunts1
	drop `p'_unclesaunts1
	foreach i of numlist 2/`j' {
		replace `p'_unclesaunts = `p'_unclesaunts + `p'_unclesaunts`i' if !missing(`p'_unclesaunts`i')
		drop `p'_unclesaunts`i'
	}

	rename `p'_unclesaunts `p'_unclesaunts_clean
	merge 1:m `p'_lnr using working_sample_children, keep(2 3) nogen
	save working_sample_children, replace
}

drop mor_unclesaunts far_unclesaunts
rename mor_unclesaunts_clean mor_unclesaunts
rename far_unclesaunts_clean far_unclesaunts

split mor_unclesaunts, p(,) gen(mor_unclesauntsid)
split far_unclesaunts, p(,) gen(far_unclesauntsid)
order lopenr mor_lnr mor_siblings mormor_lnr morfar_lnr mor_unclesaunts* mormormor_lnr mormorfar_lnr morfarmor_lnr morfarfar_lnr far_lnr far_siblings farmor_lnr farfar_lnr far_unclesaunts* farmormor_lnr farmorfar_lnr farfarmor_lnr farfarfar_lnr

qui compress
save working_sample_children, replace

********************************************************************************
//Get the cousins = the children of parents' aunts + uncles
********************************************************************************
foreach uncleaunt in mor_unclesaunts far_unclesaunts {
	use working_sample_children, clear
	ds `uncleaunt'id*
	foreach var in `r(varlist)' {
		use working_sample_children, clear
		keep `var'
		drop if missing(`var') 
		rename `var' mor_lnr
		duplicates drop
		
		merge 1:m mor_lnr using data_dynastic_id.dta, keep(1 3) nogen keepusing(lopenr)
		rename lopenr cousin_lnr
		rename mor_lnr `var'
		save temp_cousins, replace
		
		use working_sample_children, clear
		keep `var'
		drop if missing(`var') 
		rename `var' far_lnr
		duplicates drop
		
		merge 1:m far_lnr using data_dynastic_id.dta, keep(1 3) nogen keepusing(lopenr)
		rename lopenr cousin_lnr
		rename far_lnr `var'
		append using temp_cousins
		
		duplicates drop
		bysort `var' (cousin_lnr): gen j = _n
	
		sum j
		local max_j `r(max)'
	
		reshape wide cousin_lnr, i(`var') j(j)
	
		gen `var'_children = ""
		format `var'_children  %14s
		replace `var'_children = "," + cousin_lnr1 if cousin_lnr1 !=""
		
		foreach i of numlist 2/`max_j' {
			replace `var'_children = `var'_children + "," + cousin_lnr`i' if cousin_lnr`i'!=""
		}
		
		keep `var' `var'_children
		
		merge 1:m `var' using working_sample_children, keep(2 3) nogen
		save working_sample_children, replace
		}
}
 
use working_sample_children, clear
 
gen mor_cousins = ""
format mor_cousins %14s
replace mor_cousins = "," + mor_unclesauntsid1_children if mor_unclesauntsid1_children !=""

drop mor_unclesauntsid1_children
ds mor_unclesauntsid*_children 
foreach var in `r(varlist)' {
		replace mor_cousins = mor_cousins + "," + `var' if `var'!=""
	}
	
drop mor_unclesauntsid*
		
gen far_cousins = ""
format far_cousins %14s
replace far_cousins = "," + far_unclesauntsid1_children if far_unclesauntsid1_children !=""

drop far_unclesauntsid1_children
ds far_unclesauntsid*_children	 
foreach var in `r(varlist)' {
		replace far_cousins = far_cousins+ "," + `var' if `var'!=""
	}
	
drop far_unclesauntsid*		

order lopenr mor_lnr mor_siblings mor_cousins mormor_lnr morfar_lnr mor_unclesaunts* mormormor_lnr mormorfar_lnr morfarmor_lnr morfarfar_lnr far_lnr far_siblings far_cousins farmor_lnr farfar_lnr far_unclesaunts* farmormor_lnr farmorfar_lnr farfarmor_lnr farfarfar_lnr
compress
save working_sample_children, replace
**
foreach p in mor far {
	use working_sample_children, clear
	keep `p'_lnr `p'_cousins //remove duplicates from the uncles/aunts id
	split `p'_cousins, p(,)
	drop `p'_cousins
	duplicates drop
	reshape long `p'_cousins, i(`p'_lnr)
	drop _j
	duplicates drop
	drop if missing(`p'_cousins)
	bysort `p'_lnr (`p'_cousins): gen j = _n
	sum j
	local j `r(max)'
	replace `p'_cousins = "," + `p'_cousins if j != 1
	reshape wide `p'_cousins, i(`p'_lnr) j(j)
	gen `p'_cousins = `p'_cousins1
	drop `p'_cousins1
	foreach i of numlist 2/`j' {
		replace `p'_cousins = `p'_cousins + `p'_cousins`i' if !missing(`p'_cousins`i')
		drop `p'_cousins`i'
	}

	rename `p'_cousins `p'_cousins_clean
	merge 1:m `p'_lnr using working_sample_children, keep(2 3) nogen
	save working_sample_children, replace
}

drop mor_cousins far_cousins
rename mor_cousins_clean mor_cousins
rename far_cousins_clean far_cousins

qui compress
order lopenr mor_lnr mor_siblings mor_cousins mormor_lnr morfar_lnr mor_unclesaunts* mormormor_lnr mormorfar_lnr morfarmor_lnr morfarfar_lnr far_lnr far_siblings far_cousins farmor_lnr farfar_lnr far_unclesaunts* farmormor_lnr farmorfar_lnr farfarmor_lnr farfarfar_lnr

save working_sample_children, replace
********************************************************************************

//
use working_sample_children, clear
split mor_siblings, p(,) gen(mor_sib_lnr)
split far_siblings, p(,) gen(far_sib_lnr)
split mor_cousins, p(,) gen(mor_cous_lnr)
split far_cousins, p(,) gen(far_cous_lnr)
 
foreach p in mor far {
	foreach tie in sib cous {
		local nb_`p'_`tie' = 0
		ds `p'_`tie'_lnr*
		foreach var in `r(varlist)' {
			local nb_`p'_`tie' `= `nb_`p'_`tie'' + 1'
			}
		foreach i of numlist 1/`nb_`p'_`tie'' {
			rename `p'_`tie'_lnr`i' `p'_`tie'`i'_lnr
		}	
		
	}
} 
compress		
save working_sample_children, replace

